/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2016-03-24 14:41:46Z
 *****************************************************************************/

#include "rscmwgg.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

RsRepCap rscmwgg_RsRepCapTable[] =
    {
/*
        {
        repCapName      ... Repeated capability name, e.g. "Channel"
        identifiers     ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
        cmdValues       ... Command values (comma separated values), e.g. "1,2,3"
        },
*/

       {
        "instance",
        "i1,i2,i3,i4",
        "1,2,3,4"
       },
       {
        "mevResult",
        "mevPVT,mevEVM,mevMERR,mevPERR,mevSMFR,mevSMT,mevSSFR,mevSST,mevAMPM",
        "PVT,EVM,MERR,PERR,SMFR,SMT,SSFR,SST,AMPM"
       },
       {
        "mevMeas",
        "mevMeasPVT,mevMeasMOD,mevMeasSMOD,mevMeasSSW",
        "PVT,MOD,SMOD,SSW"
       },
         NULL
    };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsRangeTableEntry rscmwgg_rngExtAttEntries[] =
{
  {
      /* discreteOrMinValue = */-50.0,
      /* maxValue           = */90.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rscmwgg_rngExtAtt =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rscmwgg_rngExtAttEntries
};

static RsRangeTableEntry rscmwgg_rngCenterFrequencyEntries[] =
{
  {
      /* discreteOrMinValue = */100000000.00,
      /* maxValue           = */6000000000.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rscmwgg_rngCenterFrequency =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rscmwgg_rngCenterFrequencyEntries
};

static RsRangeTableEntry rscmwgg_rngGeneratorStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEND",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rscmwgg_rngGeneratorState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgg_rngGeneratorStateEntries
};

static RsRangeTableEntry rscmwgg_rngOutputConnectorEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF1C",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF2C",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF3C",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF4C",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF1O",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF3O",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RFAC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RFBC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RFAO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rscmwgg_rngOutputConnector =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgg_rngOutputConnectorEntries
};

static RsRangeTableEntry rscmwgg_rngGeneratorBandEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G04",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GG08",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G085",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G09",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G18",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G19",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rscmwgg_rngGeneratorBand =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgg_rngGeneratorBandEntries
};

static RsRangeTableEntry rscmwgg_rngGeneratorLevelEntries[] =
{
  {
      /* discreteOrMinValue = */-130.00,
      /* maxValue           = */3.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rscmwgg_rngGeneratorLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwgg_rngGeneratorLevelEntries
};

static RsRangeTableEntry rscmwgg_rngScenarioEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SAL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rscmwgg_rngScenario =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgg_rngScenarioEntries
};


/*****************************************************************************
*- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsAttrProperties  g_RSCMWGG_RS_ATTR_RANGE_CHECK =
{
  /* constant           = */RS_ATTR_RANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Range Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */VI_TRUE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_QUERY_INSTRUMENT_STATUS =
{
  /* constant           = */RS_ATTR_QUERY_INSTRUMENT_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"Query Instrument Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_CACHE =
{
  /* constant           = */RS_ATTR_CACHE,
#if defined (_DEBUG)
  /* debug name         = */"Cache",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SIMULATE =
{
  /* constant           = */RS_ATTR_SIMULATE,
#if defined (_DEBUG)
  /* debug name         = */"Simulate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_RECORD_COERCIONS =
{
  /* constant           = */RS_ATTR_RECORD_COERCIONS,
#if defined (_DEBUG)
  /* debug name         = */"Record Value Coercions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_INTERCHANGE_CHECK =
{
  /* constant           = */RS_ATTR_INTERCHANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Interchangeability Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SPY =
{
  /* constant           = */RS_ATTR_SPY,
#if defined (_DEBUG)
  /* debug name         = */"Spy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_USE_SPECIFIC_SIMULATION =
{
  /* constant           = */RS_ATTR_USE_SPECIFIC_SIMULATION,
#if defined (_DEBUG)
  /* debug name         = */"Use Specific Simulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_CLASS_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_CLASS_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_CLASS_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_CLASS_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Locator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
{
  /* constant           = */RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
#if defined (_DEBUG)
  /* debug name         = */"Supported Instrument Models",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_GROUP_CAPABILITIES =
{
  /* constant           = */RS_ATTR_GROUP_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Class Group Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_FUNCTION_CAPABILITIES =
{
  /* constant           = */RS_ATTR_FUNCTION_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Function Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_CHANNEL_COUNT =
{
  /* constant           = */RS_ATTR_CHANNEL_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Channel Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_DRIVER_SETUP =
{
  /* constant           = */RS_ATTR_DRIVER_SETUP,
#if defined (_DEBUG)
  /* debug name         = */"Driver Setup",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_INSTRUMENT_MANUFACTURER =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MANUFACTURER,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Manufacturer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_INSTRUMENT_MODEL =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MODEL,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Model",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
{
  /* constant           = */RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Firmware Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_OPTIONS_LIST =
{
  /* constant           = */RS_ATTR_OPTIONS_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Options List",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
{
  /* constant           = */RS_ATTR_IO_RESOURCE_DESCRIPTOR,
#if defined (_DEBUG)
  /* debug name         = */"Resource Descriptor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_LOGICAL_NAME =
{
  /* constant           = */RS_ATTR_LOGICAL_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Logical Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_PRIMARY_ERROR =
{
  /* constant           = */RS_ATTR_PRIMARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Primary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SECONDARY_ERROR =
{
  /* constant           = */RS_ATTR_SECONDARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Secondary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_ERROR_ELABORATION =
{
  /* constant           = */RS_ATTR_ERROR_ELABORATION,
#if defined (_DEBUG)
  /* debug name         = */"Error Elaboration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_VISA_RM_SESSION =
{
  /* constant           = */RS_ATTR_VISA_RM_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"VISA Resource Manager Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_IO_SESSION =
{
  /* constant           = */RS_ATTR_IO_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument IO Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_IO_SESSION_TYPE =
{
  /* constant           = */RS_ATTR_IO_SESSION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IO Session Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_ENGINE_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_ENGINE_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_ENGINE_REVISION =
{
  /* constant           = */RS_ATTR_ENGINE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_OPC_CALLBACK =
{
  /* constant           = */RS_ATTR_OPC_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_CHECK_STATUS_CALLBACK =
{
  /* constant           = */RS_ATTR_CHECK_STATUS_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Check Status Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_RS_ATTR_OPC_TIMEOUT =
{
  /* constant           = */RS_ATTR_OPC_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_ATTR_GENERATOR_STATE =
{
  /* constant           = */RSCMWGG_ATTR_GENERATOR_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Generator State",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR:GSM:GEN{instance}:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSCMWGG_ATTR_QUERY_GENERATOR_STATE =
{
  /* constant           = */RSCMWGG_ATTR_QUERY_GENERATOR_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Query Generator State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgg_rngGeneratorState,
  /* command            = */"SOUR:GSM:GEN{instance}:STATe?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSCMWGG_ATTR_GENERATOR_EXTERNAL_ATTENUATION =
{
  /* constant           = */RSCMWGG_ATTR_GENERATOR_EXTERNAL_ATTENUATION,
#if defined (_DEBUG)
  /* debug name         = */"Generator External Attenuation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgg_rngExtAtt,
  /* command            = */"SOUR:GSM:GEN{instance}:RFS:EATT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSCMWGG_ATTR_GENERATOR_FREQUENCY =
{
  /* constant           = */RSCMWGG_ATTR_GENERATOR_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Generator Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgg_rngCenterFrequency,
  /* command            = */"SOUR:GSM:GEN{instance}:RFS:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */947.4E+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSCMWGG_ATTR_GENERATOR_CHANNEL =
{
  /* constant           = */RSCMWGG_ATTR_GENERATOR_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"Generator Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR:GSM:GEN{instance}:CHAN",
  /* integerDefault     = */65,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSCMWGG_ATTR_GENERATOR_BAND =
{
  /* constant           = */RSCMWGG_ATTR_GENERATOR_BAND,
#if defined (_DEBUG)
  /* debug name         = */"Generator Band",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgg_rngGeneratorBand,
  /* command            = */"SOUR:GSM:GEN{instance}:BAND",
  /* integerDefault     = */RSCMWGG_VAL_BAND_G900,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSCMWGG_ATTR_GENERATOR_RMS_LEVEL =
{
  /* constant           = */RSCMWGG_ATTR_GENERATOR_RMS_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Generator RMS Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgg_rngGeneratorLevel,
  /* command            = */"SOUR:GSM:GEN{instance}:RFS:LEV:RMS",
  /* integerDefault     = */0,
  /* doubleDefault      = */-80.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSCMWGG_ATTR_QUERY_GENERATOR_PEP =
{
  /* constant           = */RSCMWGG_ATTR_QUERY_GENERATOR_PEP,
#if defined (_DEBUG)
  /* debug name         = */"Query Generator PEP",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR:GSM:GEN{instance}:RFS:LEV:PEAK?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSCMWGG_ATTR_SYSTEM_VERSION =
{
  /* constant           = */RSCMWGG_ATTR_SYSTEM_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"System Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:VERSion?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_ATTR_SYSTEM_ERROR =
{
  /* constant           = */RSCMWGG_ATTR_SYSTEM_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"System Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERRor?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_ATTR_SYSTEM_ALL_ERRORS =
{
  /* constant           = */RSCMWGG_ATTR_SYSTEM_ALL_ERRORS,
#if defined (_DEBUG)
  /* debug name         = */"System All Errors",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERR:ALL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_ATTR_SYSTEM_PRESET =
{
  /* constant           = */RSCMWGG_ATTR_SYSTEM_PRESET,
#if defined (_DEBUG)
  /* debug name         = */"System Preset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_ATTR_ID_QUERY_RESPONSE =
{
  /* constant           = */RSCMWGG_ATTR_ID_QUERY_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"ID Query Response",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSCMWGG_ATTR_GENERATOR_OUTPUT_CONNECTOR =
{
  /* constant           = */RSCMWGG_ATTR_GENERATOR_OUTPUT_CONNECTOR,
#if defined (_DEBUG)
  /* debug name         = */"Generator Output Connector",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgg_rngOutputConnector,
  /* command            = */"ROUT:GSM:GEN{instance}:RFS:CONN",
  /* integerDefault     = */RSCMWGG_VAL_CONN_RF1C,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

RsAttrPropertiesPtr rscmwgg_RsAttrPropertiesList[] =
{
&g_RSCMWGG_RS_ATTR_RANGE_CHECK,
&g_RSCMWGG_RS_ATTR_QUERY_INSTRUMENT_STATUS,
&g_RSCMWGG_RS_ATTR_CACHE,
&g_RSCMWGG_RS_ATTR_SIMULATE,
&g_RSCMWGG_RS_ATTR_RECORD_COERCIONS,
&g_RSCMWGG_RS_ATTR_INTERCHANGE_CHECK,
&g_RSCMWGG_RS_ATTR_SPY,
&g_RSCMWGG_RS_ATTR_USE_SPECIFIC_SIMULATION,
&g_RSCMWGG_RS_ATTR_CLASS_DRIVER_DESCRIPTION,
&g_RSCMWGG_RS_ATTR_CLASS_DRIVER_PREFIX,
&g_RSCMWGG_RS_ATTR_CLASS_DRIVER_VENDOR,
&g_RSCMWGG_RS_ATTR_CLASS_DRIVER_REVISION,
&g_RSCMWGG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMWGG_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
&g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
&g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
&g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
&g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_REVISION,
&g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMWGG_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
&g_RSCMWGG_RS_ATTR_GROUP_CAPABILITIES,
&g_RSCMWGG_RS_ATTR_FUNCTION_CAPABILITIES,
&g_RSCMWGG_RS_ATTR_CHANNEL_COUNT,
&g_RSCMWGG_RS_ATTR_DRIVER_SETUP,
&g_RSCMWGG_RS_ATTR_INSTRUMENT_MANUFACTURER,
&g_RSCMWGG_RS_ATTR_INSTRUMENT_MODEL,
&g_RSCMWGG_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
&g_RSCMWGG_RS_ATTR_OPTIONS_LIST,
&g_RSCMWGG_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
&g_RSCMWGG_RS_ATTR_LOGICAL_NAME,
&g_RSCMWGG_RS_ATTR_PRIMARY_ERROR,
&g_RSCMWGG_RS_ATTR_SECONDARY_ERROR,
&g_RSCMWGG_RS_ATTR_ERROR_ELABORATION,
&g_RSCMWGG_RS_ATTR_VISA_RM_SESSION,
&g_RSCMWGG_RS_ATTR_IO_SESSION,
&g_RSCMWGG_RS_ATTR_IO_SESSION_TYPE,
&g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
&g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
&g_RSCMWGG_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
&g_RSCMWGG_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
&g_RSCMWGG_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
&g_RSCMWGG_RS_ATTR_ENGINE_MAJOR_VERSION,
&g_RSCMWGG_RS_ATTR_ENGINE_MINOR_VERSION,
&g_RSCMWGG_RS_ATTR_ENGINE_REVISION,
&g_RSCMWGG_RS_ATTR_OPC_CALLBACK,
&g_RSCMWGG_RS_ATTR_CHECK_STATUS_CALLBACK,
&g_RSCMWGG_RS_ATTR_OPC_TIMEOUT,
&g_RSCMWGG_ATTR_GENERATOR_STATE,
&g_RSCMWGG_ATTR_QUERY_GENERATOR_STATE,
&g_RSCMWGG_ATTR_GENERATOR_EXTERNAL_ATTENUATION,
&g_RSCMWGG_ATTR_GENERATOR_FREQUENCY,
&g_RSCMWGG_ATTR_GENERATOR_CHANNEL,
&g_RSCMWGG_ATTR_GENERATOR_BAND,
&g_RSCMWGG_ATTR_GENERATOR_RMS_LEVEL,
&g_RSCMWGG_ATTR_QUERY_GENERATOR_PEP,
&g_RSCMWGG_ATTR_SYSTEM_VERSION,
&g_RSCMWGG_ATTR_SYSTEM_ERROR,
&g_RSCMWGG_ATTR_SYSTEM_ALL_ERRORS,
&g_RSCMWGG_ATTR_SYSTEM_PRESET,
&g_RSCMWGG_ATTR_ID_QUERY_RESPONSE,
&g_RSCMWGG_ATTR_GENERATOR_OUTPUT_CONNECTOR,

VI_NULL
};
