/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visatype.h>

#define RSCMW_NAN                 9.91e+37
#define RSCMW_NAN_VI_INT32        0x80000000

ViStatus rscmwgm_InitAttributes (ViSession instrSession);
ViStatus rscmwgm_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rscmwgm_CheckStatus (ViSession instrSession);
ViStatus rscmwgm_instanceRepCap (ViSession instrSession, ViInt32 instance, ViChar rep_cap[]);
ViStatus rscmwgm_instance_mevMeasRepCap (ViSession instrSession, ViInt32 instance, ViInt32 measurement, ViChar repCap[]);
ViStatus _VI_FUNC rscmwgm_QueryMeasStatus(
    ViSession   instrSession,
    ViString    command,
    ViInt32*    mainState,
    ViInt32*    syncState,
    ViInt32*    resourcesState);
ViStatus _VI_FUNC rscmwgm_GetMeasTrace(
    ViSession   instrSession,
    ViString    command,
    ViInt32     timeout,
    ViInt32     arraySize,
    ViInt32*    reliability,
    ViReal64    result[],
    ViInt32     *returnedValues);
ViStatus _VI_FUNC rscmwgm_GetMeasIntValues(
    ViSession   instrSession,
    ViString    command,
    ViInt32     timeout,
    ViInt32     arraySize,
    ViInt32*    reliability,
    ViInt32     result[],
    ViInt32*    returnedValues);
ViStatus _VI_FUNC rscmwgm_GetMeasErrorCodes(
    ViSession   instrSession,
    ViString    command,
    ViInt32*    reliability,
    ViInt32     arraySize,
    ViInt32     codes[],
    ViInt32     *returnedValues
    );
ViStatus _VI_FUNC rscmwgm_GetMeasErrorCodesQuery(
    ViSession   instrSession,
    ViString    command,
    ViInt32*    reliability,
    ViInt32     arraySize,
    ViInt32     codes[],
    ViInt32     *returnCode,
    ViInt32     *returnedValues
    );
