/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2019-05-20 16:01:40Z
 *****************************************************************************/

#include "rscmwgs.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

RsCoreRepCap rscmwgs_RsCoreRepCapTable[] =
    {
/*
        {
        repCapName      ... Repeated capability name, e.g. "Channel"
        identifiers     ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
        cmdValues       ... Command values (comma separated values), e.g. "1,2,3"
        },
*/

       {
        "instance",
        "i1,i2,i3,i4,i5,i6,i7,i8,i9,i10,i11,i12,i13,i14,i15,i16",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16"
       },
       {
        "carrier",
        "c1,c2",
        "1,2"
       },
       {
        "rate",
        "Full,Half",
        "FRAT,HRAT"
       },
       {
        "MSStandard",
        "GPRS,EGPRS,DTMGPRS,DTMEGPRS",
        "GPRS,EGPR,DGPR,DEGP"
       },
       {
        "QAMMode",
        "NSR16QAM,HSR16QAM,NSR32QAM,HSR32QAM",
        "NSRQ16,HSRQ16,NSRQ32,HSRQ32"
       },
       {
        "Band",
        "NB,WB",
        "NB,WB"
       },
       {
        "TrafficCh",
        "RFACch,RSACch",
        "RFAC,RSAC"
       },
       {
        "Path",
        "Out1,Out2",
        "1,2"
       },
       {
        "ipv",
        "ipv4,ipv6",
        "4,6"
       },
         NULL
    };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableEntry rscmwgs_rngExternalAttenuationEntries[] =
{
  {
      /* discreteOrMinValue = */-50,
      /* maxValue           = */80.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngExternalAttenuation =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rscmwgs_rngExternalAttenuationEntries
};

static RsCoreRangeTableEntry rscmwgs_rngBandEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G085",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G09",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G18",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G19",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngBand =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngBandEntries
};

static RsCoreRangeTableEntry rscmwgs_rngBCCHChannelEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */1023,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngBCCHChannel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngBCCHChannelEntries
};

static RsCoreRangeTableEntry rscmwgs_rngPmaxBCCHEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */31,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngPmaxBCCH =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngPmaxBCCHEntries
};

static RsCoreRangeTableEntry rscmwgs_rngTCHChannelEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */1023,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngTCHChannel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngTCHChannelEntries
};

static RsCoreRangeTableEntry rscmwgs_rngTCHLevelEntries[] =
{
  {
      /* discreteOrMinValue = */-130.00,
      /* maxValue           = */-5.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngTCHLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwgs_rngTCHLevelEntries
};

static RsCoreRangeTableEntry rscmwgs_rngSwitchedPCLEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */31,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngSwitchedPCL =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngSwitchedPCLEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DISC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SMS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RPC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HAND",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectStateEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SYNC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ALER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CEST",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LUPD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IMS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RRH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SMES",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RMES",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IHAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OHAN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionStateEntries
};

static RsCoreRangeTableEntry rscmwgs_rngBERStopConditionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NONE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FLIM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngBERStopCondition =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngBERStopConditionEntries
};

static RsCoreRangeTableEntry rscmwgs_rngIdentityMCCEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */999,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngIdentityMCC =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngIdentityMCCEntries
};

static RsCoreRangeTableEntry rscmwgs_rngIdentityMNCDigitsEntries[] =
{
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TWO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"THR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngIdentityMNCDigits =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngIdentityMNCDigitsEntries
};

static RsCoreRangeTableEntry rscmwgs_rngIdentityMNCEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */999,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngIdentityMNC =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngIdentityMNCEntries
};

static RsCoreRangeTableEntry rscmwgs_rngIdentityLACEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */65533,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngIdentityLAC =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngIdentityLACEntries
};

static RsCoreRangeTableEntry rscmwgs_rngIdentityRACEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngIdentityRAC =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngIdentityRACEntries
};

static RsCoreRangeTableEntry rscmwgs_rngIdentityNCCEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */7,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngIdentityNCC =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngIdentityNCCEntries
};

static RsCoreRangeTableEntry rscmwgs_rngIdentityBCCEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */7,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngIdentityBCC =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngIdentityBCCEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionTimeslotEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */7,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionTimeslot =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionTimeslotEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionTrafficEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FV1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FV2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HV1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ANFG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ANHG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ANH8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AWFG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AWF8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AWH8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionTraffic =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionTrafficEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionDataSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ECHO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP1",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionDataSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionDataSourceEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionLoopEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"I",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionLoop =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionLoopEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellLocUpdateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ALW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellLocUpdate =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkCellLocUpdateEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellBSAGEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */2,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellBSAG =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkCellBSAGEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkTimeoutMSEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */4,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */8,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */12,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */16,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */20,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */24,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */28,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */32,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */36,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */40,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */44,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */48,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */52,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */56,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */60,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */64,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkTimeoutMS =
{
  /* type        = */RS_VAL_COERCED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkTimeoutMSEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkT3212Entries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkT3212 =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkT3212Entries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkT3312Entries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */31,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkT3312 =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkT3312Entries
};

static RsCoreRangeTableEntry rscmwgs_rngBandIndicatorEntries[] =
{
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G18",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G19",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngBandIndicator =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngBandIndicatorEntries
};

static RsCoreRangeTableEntry rscmwgs_rngBERLimitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngBERLimit =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */rscmwgs_rngBERLimitEntries
};

static RsCoreRangeTableEntry rscmwgs_rngHoppingMAIOEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */63,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngHoppingMAIO =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngHoppingMAIOEntries
};

static RsCoreRangeTableEntry rscmwgs_rngSignPackSwConnStatEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ATT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TBF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RAUP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PDP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CTIP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PDPD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIPR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AIPR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PAIP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PDIP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngSignPackSwConnStat =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngSignPackSwConnStatEntries
};

static RsCoreRangeTableEntry rscmwgs_rngRXQualSubEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */7,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngRXQualSub =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngRXQualSubEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetwIdCellEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetwIdCell =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetwIdCellEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetwCellPDPContextEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ACC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetwCellPDPContext =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetwCellPDPContextEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCellPCMeasChEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BCCH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PDCH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCellPCMeasCh =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngCellPCMeasChEntries
};

static RsCoreRangeTableEntry rscmwgs_rngAlertTimeoutEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */120,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngAlertTimeout =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngAlertTimeoutEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnTCHAssignEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VEAR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EARL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LATE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnTCHAssign =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnTCHAssignEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnMSPowEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FAST",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SLOW",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnMSPow =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnMSPowEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnPackSWServEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TMA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TMB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BLER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SRB",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnPackSWServ =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnPackSWServEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnPackDataSourEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ECHO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOOP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ALL0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ALL1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ALT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SPE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UPAT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnPackDataSour =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnPackDataSourEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnPackSwUplinkCodSchemeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UA7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UA8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UA9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UA10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UA11",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnPackSwUplinkCodScheme =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnPackSwUplinkCodSchemeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngExtDynAllocEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngExtDynAlloc =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngExtDynAllocEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCntrlACKTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NBUR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ABUR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCntrlACKType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngCntrlACKTypeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnBlockEncodingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RTTI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BTTI",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnBlockEncoding =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnBlockEncodingEntries
};

static RsCoreRangeTableEntry rscmwgs_rngHandoverStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DUAL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngHandoverState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngHandoverStateEntries
};

static RsCoreRangeTableEntry rscmwgs_rngTrgFramModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EVER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EWID",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M26",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M52",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M104",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngTrgFramMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngTrgFramModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngBERStatisticCountEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */500000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngBERStatisticCount =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngBERStatisticCountEntries
};

static RsCoreRangeTableEntry rscmwgs_rngClassIIBitsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngClassIIBits =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */rscmwgs_rngClassIIBitsEntries
};

static RsCoreRangeTableEntry rscmwgs_rngBLERStatCountEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */10000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngBLERStatCount =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngBLERStatCountEntries
};

static RsCoreRangeTableEntry rscmwgs_rngUSFModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RC1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RMC0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BMC0",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngUSFMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngUSFModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFANRUplinkModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SSN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TIME",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFANRUplinkMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngFANRUplinkModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFANRUplTimeshiftEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */3,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFANRUplTimeshift =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngFANRUplTimeshiftEntries
};

static RsCoreRangeTableEntry rscmwgs_rngTBFLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EGPR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EG2A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GPRS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngTBFLevel =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngTBFLevelEntries
};

static RsCoreRangeTableEntry rscmwgs_rngBERMeasModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BBB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RFER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FFAC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FSAC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RUFR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AIF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MBEP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SQU",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BFI",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngBERMeasMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngBERMeasModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngMeasSlotEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */7,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngMeasSlot =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngMeasSlotEntries
};

static RsCoreRangeTableEntry rscmwgs_rngPowerModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ULPC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngPowerMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngPowerModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCodecModeEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCodecMode =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngCodecModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCellRTBSEntries[] =
{
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */64,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCellRTBS =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"blocks",
  /* rangeValues = */rscmwgs_rngCellRTBSEntries
};

static RsCoreRangeTableEntry rscmwgs_rngVAMOSMobileLevelsEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VAM1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VAM2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngVAMOSMobileLevels =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngVAMOSMobileLevelsEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFerFACCHLimitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFerFACCHLimit =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */rscmwgs_rngFerFACCHLimitEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFERSACCHLimitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFERSACCHLimit =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */rscmwgs_rngFERSACCHLimitEntries
};

static RsCoreRangeTableEntry rscmwgs_rngHandoverCodingSchemeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MC9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UA7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UA8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UA9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UA10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UA11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngHandoverCodingScheme =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngHandoverCodingSchemeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngExternalAttenuationBCCHOutputEntries[] =
{
  {
      /* discreteOrMinValue = */-50,
      /* maxValue           = */90,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngExternalAttenuationBCCHOutput =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rscmwgs_rngExternalAttenuationBCCHOutputEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionHalfRateSubchannelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionHalfRateSubchannel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionHalfRateSubchannelEntries
};

static RsCoreRangeTableEntry rscmwgs_rngBCCHLevelEntries[] =
{
  {
      /* discreteOrMinValue = */-130,
      /* maxValue           = */-80,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngBCCHLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwgs_rngBCCHLevelEntries
};

static RsCoreRangeTableEntry rscmwgs_rngSignalLevelFilterPeriodEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */25,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngSignalLevelFilterPeriod =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwgs_rngSignalLevelFilterPeriodEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkTimeSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CMWT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DATE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkTimeSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkTimeSourceEntries
};

static RsCoreRangeTableEntry rscmwgs_rngTimeDSTShiftEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P1H",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P2H",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngTimeDSTShift =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngTimeDSTShiftEntries
};

static RsCoreRangeTableEntry rscmwgs_rngBEPPeriodEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */10,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngBEPPeriod =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngBEPPeriodEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFadingSimulatorStandardEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T3P6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T60",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T1P5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H200",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H120",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R250",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R500",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R300",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R130",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"E50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"E100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"E60",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TI5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T25",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TU1P5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TU3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */21,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TU25",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */22,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TU50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */23,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HT100",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFadingSimulatorStandard =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngFadingSimulatorStandardEntries
};

static RsCoreRangeTableEntry rscmwgs_rngAutoManEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngAutoMan =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngAutoManEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFadingSimulatorGlobalSeedEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */9,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFadingSimulatorGlobalSeed =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngFadingSimulatorGlobalSeedEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFSimInsertionLossModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USER",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFSimInsertionLossMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngFSimInsertionLossModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFSimInsertionLossUserValueEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */18.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFSimInsertionLossUserValue =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rscmwgs_rngFSimInsertionLossUserValueEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFadingAWGNBandwidthRatioEntries[] =
{
  {
      /* discreteOrMinValue = */1.0,
      /* maxValue           = */250,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFadingAWGNBandwidthRatio =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngFadingAWGNBandwidthRatioEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFadingAWGNSignalToNoiseRatioEntries[] =
{
  {
      /* discreteOrMinValue = */-25.0,
      /* maxValue           = */30.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFadingAWGNSignalToNoiseRatio =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rscmwgs_rngFadingAWGNSignalToNoiseRatioEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFrequencyOffsetDLEntries[] =
{
  {
      /* discreteOrMinValue = */-100000.0,
      /* maxValue           = */100000.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFrequencyOffsetDL =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rscmwgs_rngFrequencyOffsetDLEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFrequencyOffsetULEntries[] =
{
  {
      /* discreteOrMinValue = */-100000.0,
      /* maxValue           = */100000.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFrequencyOffsetUL =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rscmwgs_rngFrequencyOffsetULEntries
};

static RsCoreRangeTableEntry rscmwgs_rngRFMixerLevelOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-10.0,
      /* maxValue           = */10.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngRFMixerLevelOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rscmwgs_rngRFMixerLevelOffsetEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFadingSimulatorDopplerFrequencyModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USER",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFadingSimulatorDopplerFrequencyMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngFadingSimulatorDopplerFrequencyModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngFadingSimulatorDopplerFrequencyEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */2000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngFadingSimulatorDopplerFrequency =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngFadingSimulatorDopplerFrequencyEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNeighborCellThresholdEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */31,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNeighborCellThreshold =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rscmwgs_rngNeighborCellThresholdEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellReselectionQualityRXLevMinAccessEntries[] =
{
  {
      /* discreteOrMinValue = */-111,
      /* maxValue           = */-48,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellReselectionQualityRXLevMinAccess =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwgs_rngNetworkCellReselectionQualityRXLevMinAccessEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellReselectionQualityRXLevMinEUTRANEntries[] =
{
  {
      /* discreteOrMinValue = */-140,
      /* maxValue           = */-78,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellReselectionQualityRXLevMinEUTRAN =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwgs_rngNetworkCellReselectionQualityRXLevMinEUTRANEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellReselectionQualityRXLevMinUTRANEntries[] =
{
  {
      /* discreteOrMinValue = */-119,
      /* maxValue           = */-57,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellReselectionQualityRXLevMinUTRAN =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwgs_rngNetworkCellReselectionQualityRXLevMinUTRANEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellReselectionTreselectionEntries[] =
{
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */20,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellReselectionTreselection =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwgs_rngNetworkCellReselectionTreselectionEntries
};

static RsCoreRangeTableEntry rscmwgs_rngSMSOutgoingMessageDomainEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngSMSOutgoingMessageDomain =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngSMSOutgoingMessageDomainEntries
};

static RsCoreRangeTableEntry rscmwgs_rngSMSIncomingMessageDataCodingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BIT7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BIT8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NAV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngSMSIncomingMessageDataCoding =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngSMSIncomingMessageDataCodingEntries
};

static RsCoreRangeTableEntry rscmwgs_rngSMSOutgoingMessageCodingGroupEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GDC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DCMC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngSMSOutgoingMessageCodingGroup =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngSMSOutgoingMessageCodingGroupEntries
};

static RsCoreRangeTableEntry rscmwgs_rngSMSOutgoingMessageClassEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CL0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CL1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CL2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CL3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NONE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngSMSOutgoingMessageClass =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngSMSOutgoingMessageClassEntries
};

static RsCoreRangeTableEntry rscmwgs_rngMeasurementStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RDY",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RUN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngMeasurementState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngMeasurementStateEntries
};

static RsCoreRangeTableEntry rscmwgs_rngRLCThroughputRepetitionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SING",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngRLCThroughputRepetition =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngRLCThroughputRepetitionEntries
};

static RsCoreRangeTableEntry rscmwgs_rngRLCThroughputWindowEntries[] =
{
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */240,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngRLCThroughputWindow =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwgs_rngRLCThroughputWindowEntries
};

static RsCoreRangeTableEntry rscmwgs_rngSMSOutgoingMessageDataCodingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BIT7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BIT8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngSMSOutgoingMessageDataCoding =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngSMSOutgoingMessageDataCodingEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCMRPerformanceTargetLevelEntries[] =
{
  {
      /* discreteOrMinValue = */-130,
      /* maxValue           = */-11,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCMRPerformanceTargetLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwgs_rngCMRPerformanceTargetLevelEntries
};

static RsCoreRangeTableEntry rscmwgs_rngBERPacketSwitchedMeasurementModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BDBL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MBEP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UBON",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngBERPacketSwitchedMeasurementMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngBERPacketSwitchedMeasurementModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkRejectTimersEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkRejectTimers =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwgs_rngNetworkRejectTimersEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellPageModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NPAG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PRE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellPageMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkCellPageModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellNCCPermittedEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellNCCPermitted =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkCellNCCPermittedEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellMaxRetransEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */1,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */2,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */4,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */7,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellMaxRetrans =
{
  /* type        = */RS_VAL_COERCED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkCellMaxRetransEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellPagingWithMSIdentityEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IMSI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TMSI",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellPagingWithMSIdentity =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkCellPagingWithMSIdentityEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellReselectionHysteresisEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */14,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellReselectionHysteresis =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rscmwgs_rngNetworkCellReselectionHysteresisEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellSynchronizationOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */12533.76,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellSynchronizationOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwgs_rngNetworkCellSynchronizationOffsetEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellSynchronizationZoneEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NONE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"Z1",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellSynchronizationZone =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkCellSynchronizationZoneEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionCallReleaseEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NREL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IREL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LER",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionCallRelease =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionCallReleaseEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionFrequencyOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-100000,
      /* maxValue           = */100000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionFrequencyOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rscmwgs_rngConnectionFrequencyOffsetEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionPacketSwitchedBEPPeriod2Entries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */15,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionPacketSwitchedBEPPeriod2 =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionPacketSwitchedBEPPeriod2Entries
};

static RsCoreRangeTableEntry rscmwgs_rngPercentEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngPercent =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */rscmwgs_rngPercentEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionPacketSwitchedDownlinkPowerControlP0Entries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB14",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB18",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB20",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */22,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB22",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */24,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB24",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */26,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB26",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */28,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB28",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */30,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB30",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionPacketSwitchedDownlinkPowerControlP0 =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionPacketSwitchedDownlinkPowerControlP0Entries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionPacketSwitchedPRModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PMA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PMB",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionPacketSwitchedPRMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionPacketSwitchedPRModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectioonPacketSwitchingPowerReductionFieldEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NUS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectioonPacketSwitchingPowerReductionField =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectioonPacketSwitchingPowerReductionFieldEntries
};

static RsCoreRangeTableEntry rscmwgs_rngExternalDelayCompensationEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */20e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngExternalDelayCompensation =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwgs_rngExternalDelayCompensationEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionErrorEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NERR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RLT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PTIM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STIM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IGN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ATIM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionError =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionErrorEntries
};

static RsCoreRangeTableEntry rscmwgs_rngMobileCapabilitiesRXPowerEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OK",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UFL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */-1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NAV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngMobileCapabilitiesRXPower =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngMobileCapabilitiesRXPowerEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellInitialPowerReductionValueEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellInitialPowerReductionValue =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkCellInitialPowerReductionValueEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkReleaseTimerT3192Entries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */7,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkReleaseTimerT3192 =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkReleaseTimerT3192Entries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkRejectCausesEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C13",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C17",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C20",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C21",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C22",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C23",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C25",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C33",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C34",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C38",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */21,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C48",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */22,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C95",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */23,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C96",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */24,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C97",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */25,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C98",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */26,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C99",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */27,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */28,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C101",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */29,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C111",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */30,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */31,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */32,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */33,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C14",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */34,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */35,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */36,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C28",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */37,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C40",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkRejectCauses =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkRejectCausesEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionTimingAdvanceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */63,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionTimingAdvance =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionTimingAdvanceEntries
};

static RsCoreRangeTableEntry rscmwgs_rngConnectionEchoDelayEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */10,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngConnectionEchoDelay =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngConnectionEchoDelayEntries
};

static RsCoreRangeTableEntry rscmwgs_rngHandoverExternalDestinationEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LTE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GSM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WCDM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TDSC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngHandoverExternalDestination =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngHandoverExternalDestinationEntries
};

static RsCoreRangeTableEntry rscmwgs_rngSMSOutgoingServiceTimeSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CMWT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DATE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngSMSOutgoingServiceTimeSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngSMSOutgoingServiceTimeSourceEntries
};

static RsCoreRangeTableEntry rscmwgs_rngWCDMAQuantityEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RSCP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ECNO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngWCDMAQuantity =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngWCDMAQuantityEntries
};

static RsCoreRangeTableEntry rscmwgs_rngLTEQuantityEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RSRP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RSRQ",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngLTEQuantity =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngLTEQuantityEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCBSDRXLengthOfPeriodEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */40,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCBSDRXLengthOfPeriod =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngCBSDRXLengthOfPeriodEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCBSDRXOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */39,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCBSDRXOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngCBSDRXOffsetEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCBSMessageIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCBSMessageID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngCBSMessageIDEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCBSMessageIDTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UDEF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"APR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AEXT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ASEV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AAMB",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCBSMessageIDType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngCBSMessageIDTypeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCBSDataCodeSchemeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCBSDataCodeScheme =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngCBSDataCodeSchemeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCBSMessageCategoryEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BACK",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HIGH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCBSMessageCategory =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngCBSMessageCategoryEntries
};

static RsCoreRangeTableEntry rscmwgs_rngCBSMessagePeriodEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */4096,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngCBSMessagePeriod =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngCBSMessagePeriodEntries
};

static RsCoreRangeTableEntry rscmwgs_rngSMSOutgoingLastMessageSentEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SUCC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FAIL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngSMSOutgoingLastMessageSent =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngSMSOutgoingLastMessageSentEntries
};

static RsCoreRangeTableEntry rscmwgs_rngAMRSignalingModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LTRR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RATS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngAMRSignalingMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngAMRSignalingModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkMOCAlertingTimeoutEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkMOCAlertingTimeout =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkMOCAlertingTimeoutEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkTimeLocalTimeZoneOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-19.75,
      /* maxValue           = */19.75,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkTimeLocalTimeZoneOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"h",
  /* rangeValues = */rscmwgs_rngNetworkTimeLocalTimeZoneOffsetEntries
};

static RsCoreRangeTableEntry rscmwgs_rngMobilityModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RED",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HAND",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CCOR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngMobilityMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngMobilityModeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngSIMCardTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C3G",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C2G",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngSIMCardType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngSIMCardTypeEntries
};

static RsCoreRangeTableEntry rscmwgs_rngMessageMonitoringLoggingPCIPv4AddressEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IP1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IP2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IP3",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngMessageMonitoringLoggingPCIPv4Address =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngMessageMonitoringLoggingPCIPv4AddressEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkCellSupportEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GPRS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EGPR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkCellSupport =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkCellSupportEntries
};

static RsCoreRangeTableEntry rscmwgs_rngNetworkRejectCausesCMTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NESM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NCEC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NCSM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ECSM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NCAL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ECAL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SMS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwgs_rngNetworkRejectCausesCMType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwgs_rngNetworkRejectCausesCMTypeEntries
};


/*****************************************************************************
*- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RSCMWGS_RS_ATTR_RANGE_CHECK =
{
  /* constant           = */RS_ATTR_RANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Range Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_QUERY_INSTRUMENT_STATUS =
{
  /* constant           = */RS_ATTR_QUERY_INSTRUMENT_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"Query Instrument Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_CACHE =
{
  /* constant           = */RS_ATTR_CACHE,
#if defined (_DEBUG)
  /* debug name         = */"Cache",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SIMULATE =
{
  /* constant           = */RS_ATTR_SIMULATE,
#if defined (_DEBUG)
  /* debug name         = */"Simulate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_RECORD_COERCIONS =
{
  /* constant           = */RS_ATTR_RECORD_COERCIONS,
#if defined (_DEBUG)
  /* debug name         = */"Record Value Coercions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_INTERCHANGE_CHECK =
{
  /* constant           = */RS_ATTR_INTERCHANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Interchangeability Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SPY =
{
  /* constant           = */RS_ATTR_SPY,
#if defined (_DEBUG)
  /* debug name         = */"Spy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_USE_SPECIFIC_SIMULATION =
{
  /* constant           = */RS_ATTR_USE_SPECIFIC_SIMULATION,
#if defined (_DEBUG)
  /* debug name         = */"Use Specific Simulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_CLASS_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_CLASS_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_CLASS_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_CLASS_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Locator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
{
  /* constant           = */RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
#if defined (_DEBUG)
  /* debug name         = */"Supported Instrument Models",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_GROUP_CAPABILITIES =
{
  /* constant           = */RS_ATTR_GROUP_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Class Group Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_FUNCTION_CAPABILITIES =
{
  /* constant           = */RS_ATTR_FUNCTION_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Function Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_CHANNEL_COUNT =
{
  /* constant           = */RS_ATTR_CHANNEL_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Channel Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_DRIVER_SETUP =
{
  /* constant           = */RS_ATTR_DRIVER_SETUP,
#if defined (_DEBUG)
  /* debug name         = */"Driver Setup",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_INSTRUMENT_MANUFACTURER =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MANUFACTURER,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Manufacturer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_INSTRUMENT_MODEL =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MODEL,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Model",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
{
  /* constant           = */RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Firmware Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_OPTIONS_LIST =
{
  /* constant           = */RS_ATTR_OPTIONS_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Options List",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
{
  /* constant           = */RS_ATTR_IO_RESOURCE_DESCRIPTOR,
#if defined (_DEBUG)
  /* debug name         = */"Resource Descriptor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_LOGICAL_NAME =
{
  /* constant           = */RS_ATTR_LOGICAL_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Logical Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_PRIMARY_ERROR =
{
  /* constant           = */RS_ATTR_PRIMARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Primary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SECONDARY_ERROR =
{
  /* constant           = */RS_ATTR_SECONDARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Secondary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_ERROR_ELABORATION =
{
  /* constant           = */RS_ATTR_ERROR_ELABORATION,
#if defined (_DEBUG)
  /* debug name         = */"Error Elaboration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_VISA_RM_SESSION =
{
  /* constant           = */RS_ATTR_VISA_RM_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"VISA Resource Manager Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_IO_SESSION =
{
  /* constant           = */RS_ATTR_IO_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument IO Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_IO_SESSION_TYPE =
{
  /* constant           = */RS_ATTR_IO_SESSION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IO Session Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_ENGINE_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_ENGINE_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_ENGINE_REVISION =
{
  /* constant           = */RS_ATTR_ENGINE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_OPC_CALLBACK =
{
  /* constant           = */RS_ATTR_OPC_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_CHECK_STATUS_CALLBACK =
{
  /* constant           = */RS_ATTR_CHECK_STATUS_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Check Status Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_RS_ATTR_OPC_TIMEOUT =
{
  /* constant           = */RS_ATTR_OPC_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_INPUT =
{
  /* constant           = */RSCMWGS_ATTR_EXTERNAL_ATTENUATION_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"External Attenuation Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:EATT:INP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_OUTPUT =
{
  /* constant           = */RSCMWGS_ATTR_EXTERNAL_ATTENUATION_OUTPUT,
#if defined (_DEBUG)
  /* debug name         = */"External Attenuation Output",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngExternalAttenuation,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:EATT:OUTP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_BCCH_OUTPUT =
{
  /* constant           = */RSCMWGS_ATTR_EXTERNAL_ATTENUATION_BCCH_OUTPUT,
#if defined (_DEBUG)
  /* debug name         = */"External Attenuation BCCH Output",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngExternalAttenuationBCCHOutput,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:EATT:BCCH:OUTP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BCCH_BAND =
{
  /* constant           = */RSCMWGS_ATTR_BCCH_BAND,
#if defined (_DEBUG)
  /* debug name         = */"BCCH Band",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBand,
  /* command            = */"CONF:GSM:SIGN{instance}:BAND:BCCH",
  /* integerDefault     = */RSCMWGS_VAL_BAND_G09,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BCCH_CHANNEL =
{
  /* constant           = */RSCMWGS_ATTR_BCCH_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"BCCH Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBCCHChannel,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:CHAN:BCCH",
  /* integerDefault     = */20,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BCCH_ENABLE_LOWER_LIMIT_CHECK =
{
  /* constant           = */RSCMWGS_ATTR_BCCH_ENABLE_LOWER_LIMIT_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"BCCH Enable Lower Limit Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:LEV:BCCH:MIN:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_PMAX_BCCH =
{
  /* constant           = */RSCMWGS_ATTR_PMAX_BCCH,
#if defined (_DEBUG)
  /* debug name         = */"Pmax BCCH",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:PMAX:BCCH",
  /* integerDefault     = */5,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_TCH_CIRCUIT_SWITCHED_PCL =
{
  /* constant           = */RSCMWGS_ATTR_TCH_CIRCUIT_SWITCHED_PCL,
#if defined (_DEBUG)
  /* debug name         = */"TCH Circuit Switched PCL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngSwitchedPCL,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:PCL:TCH:CSW",
  /* integerDefault     = */10,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER_MODE =
{
  /* constant           = */RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Expected Nominal Power Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngPowerMode,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:ENPM",
  /* integerDefault     = */RSCMWGS_VAL_ULPC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER =
{
  /* constant           = */RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Expected Nominal Power",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:ENP",
  /* integerDefault     = */0,
  /* doubleDefault      = */23,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER_MARGIN =
{
  /* constant           = */RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER_MARGIN,
#if defined (_DEBUG)
  /* debug name         = */"Expected Nominal Power Margin",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:UMAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_RF_MIXER_LEVEL_OFFSET =
{
  /* constant           = */RSCMWGS_ATTR_RF_MIXER_LEVEL_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Mixer Level Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngRFMixerLevelOffset,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:MLOF",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BCCH_LEVEL =
{
  /* constant           = */RSCMWGS_ATTR_BCCH_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"BCCH Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngBCCHLevel,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:LEV:BCCH",
  /* integerDefault     = */0,
  /* doubleDefault      = */-80,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FREQUENCY_OFFSET_DL =
{
  /* constant           = */RSCMWGS_ATTR_FREQUENCY_OFFSET_DL,
#if defined (_DEBUG)
  /* debug name         = */"Frequency Offset DL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngFrequencyOffsetDL,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:FOFF:DL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FREQUENCY_OFFSET_UL =
{
  /* constant           = */RSCMWGS_ATTR_FREQUENCY_OFFSET_UL,
#if defined (_DEBUG)
  /* debug name         = */"Frequency Offset UL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngFrequencyOffsetUL,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:FOFF:UL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_EXTERNAL_DELAY_COMPENSATION_DL =
{
  /* constant           = */RSCMWGS_ATTR_EXTERNAL_DELAY_COMPENSATION_DL,
#if defined (_DEBUG)
  /* debug name         = */"External Delay Compensation DL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngExternalDelayCompensation,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:EDC:INP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_EXTERNAL_DELAY_COMPENSATION_UL =
{
  /* constant           = */RSCMWGS_ATTR_EXTERNAL_DELAY_COMPENSATION_UL,
#if defined (_DEBUG)
  /* debug name         = */"External Delay Compensation UL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngExternalDelayCompensation,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:EDC:OUTP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_TCH_CHANNEL_NUMBER =
{
  /* constant           = */RSCMWGS_ATTR_TCH_CHANNEL_NUMBER,
#if defined (_DEBUG)
  /* debug name         = */"TCH Channel Number",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngTCHChannel,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:CHAN:TCH:CARR{carrier}",
  /* integerDefault     = */124,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_TCH_LEVEL =
{
  /* constant           = */RSCMWGS_ATTR_TCH_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"TCH Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:LEV:TCH:CARR{carrier}",
  /* integerDefault     = */0,
  /* doubleDefault      = */-80.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_TCH_HOPPING_ENABLE =
{
  /* constant           = */RSCMWGS_ATTR_TCH_HOPPING_ENABLE,
#if defined (_DEBUG)
  /* debug name         = */"TCH Hopping Enable",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:HOPP:ENAB:TCH{carrier}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HOPPING_MAIO =
{
  /* constant           = */RSCMWGS_ATTR_HOPPING_MAIO,
#if defined (_DEBUG)
  /* debug name         = */"Hopping Maio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngHoppingMAIO,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:HOPP:MAIO:TCH{carrier}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HOPPING_HSN =
{
  /* constant           = */RSCMWGS_ATTR_HOPPING_HSN,
#if defined (_DEBUG)
  /* debug name         = */"Hopping HSN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngHoppingMAIO,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:HOPP:HSN:TCH{carrier}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_PATH_OUTPUT =
{
  /* constant           = */RSCMWGS_ATTR_EXTERNAL_ATTENUATION_PATH_OUTPUT,
#if defined (_DEBUG)
  /* debug name         = */"External Attenuation Path Output",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngExternalAttenuation,
  /* command            = */"CONF:GSM:SIGN{instance}:RFS:EATT:OUTP{Path}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_SIMULATOR_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_FADING_SIMULATOR_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:FSIM:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_SIMULATOR_STANDARD =
{
  /* constant           = */RSCMWGS_ATTR_FADING_SIMULATOR_STANDARD,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Standard",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngFadingSimulatorStandard,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:FSIM:STAN",
  /* integerDefault     = */RSCMWGS_VAL_FSIM_STANDARD_T3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_SIMULATOR_RESTART_MODE =
{
  /* constant           = */RSCMWGS_ATTR_FADING_SIMULATOR_RESTART_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Restart Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngAutoMan,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:FSIM:REST:MODE",
  /* integerDefault     = */RSCMWGS_VAL_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_SIMULATOR_RESTART =
{
  /* constant           = */RSCMWGS_ATTR_FADING_SIMULATOR_RESTART,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Restart",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:FSIM:REST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_SIMULATOR_GLOBAL_SEED =
{
  /* constant           = */RSCMWGS_ATTR_FADING_SIMULATOR_GLOBAL_SEED,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Global Seed",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngFadingSimulatorGlobalSeed,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:FSIM:GLOB:SEED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS_MODE =
{
  /* constant           = */RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Insertion Loss Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngFSimInsertionLossMode,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:FSIM:ILOS:MODE",
  /* integerDefault     = */RSCMWGS_VAL_ILOSS_MODE_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS_USER_VALUE =
{
  /* constant           = */RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS_USER_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Insertion Loss User Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngFSimInsertionLossUserValue,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:FSIM:ILOS:LOSS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS =
{
  /* constant           = */RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Insertion Loss",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:FSIM:ILOS:LOSS:NORM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_SIMULATOR_CLIPPING_COUNTER =
{
  /* constant           = */RSCMWGS_ATTR_FADING_SIMULATOR_CLIPPING_COUNTER,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Clipping Counter",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:FSIM:ILOS:CSAM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_SIMULATOR_DOPPLER_FREQUENCY_MODE =
{
  /* constant           = */RSCMWGS_ATTR_FADING_SIMULATOR_DOPPLER_FREQUENCY_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Doppler Frequency Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngFadingSimulatorDopplerFrequencyMode,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:FSIM:DSH:MODE",
  /* integerDefault     = */RSCMWGS_VAL_DOPPLER_FREQUENCY_MODE_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_SIMULATOR_DOPPLER_FREQUENCY =
{
  /* constant           = */RSCMWGS_ATTR_FADING_SIMULATOR_DOPPLER_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Doppler Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngFadingSimulatorDopplerFrequency,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:FSIM:DSH",
  /* integerDefault     = */0,
  /* doubleDefault      = */3.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NOISE_BW_POWER =
{
  /* constant           = */RSCMWGS_ATTR_NOISE_BW_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Noise BW Power",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:POW:NOIS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NOISE_TOTAL_POWER =
{
  /* constant           = */RSCMWGS_ATTR_NOISE_TOTAL_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Noise Total Power",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:POW:NOIS:TOT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SIGNAL_PLUS_NOISE_POWER =
{
  /* constant           = */RSCMWGS_ATTR_SIGNAL_PLUS_NOISE_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Signal Plus Noise Power",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:POW:SUM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_AWGN_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_FADING_AWGN_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Fading AWGN Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:AWGN:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_AWGN_BANDWIDTH_RATIO =
{
  /* constant           = */RSCMWGS_ATTR_FADING_AWGN_BANDWIDTH_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Fading AWGN Bandwidth Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngFadingAWGNBandwidthRatio,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:AWGN:BWID:RAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_AWGN_SIGNAL_TO_NOISE_RATIO =
{
  /* constant           = */RSCMWGS_ATTR_FADING_AWGN_SIGNAL_TO_NOISE_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Fading AWGN Signal To Noise Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngFadingAWGNSignalToNoiseRatio,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:AWGN:SNR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_FADING_AWGN_NOISE_BANDWIDTH =
{
  /* constant           = */RSCMWGS_ATTR_FADING_AWGN_NOISE_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"Fading AWGN Noise Bandwidth",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:FAD:AWGN:BWID:NOIS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SIGNALING_END_TO_END =
{
  /* constant           = */RSCMWGS_ATTR_SIGNALING_END_TO_END,
#if defined (_DEBUG)
  /* debug name         = */"Signaling End To End",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:ETOE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SIGNALING_CONNECTION_ACTION =
{
  /* constant           = */RSCMWGS_ATTR_SIGNALING_CONNECTION_ACTION,
#if defined (_DEBUG)
  /* debug name         = */"Signaling Connection Action",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectState,
  /* command            = */"CALL:GSM:SIGN{instance}:CSW:ACT",
  /* integerDefault     = */RSCMWGS_VAL_CONNECT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SIGNALING_CONNECTION_STATE =
{
  /* constant           = */RSCMWGS_ATTR_SIGNALING_CONNECTION_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Signaling Connection State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionState,
  /* command            = */"FETC:GSM:SIGN{instance}:CSW:STATe?",
  /* integerDefault     = */RSCMWGS_VAL_CONNECTION_STATE_SOFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SIGNALING_PACKET_SWITCHED_CONNECTION_ACTION =
{
  /* constant           = */RSCMWGS_ATTR_SIGNALING_PACKET_SWITCHED_CONNECTION_ACTION,
#if defined (_DEBUG)
  /* debug name         = */"Signaling Packet Switched Connection Action",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectState,
  /* command            = */"CALL:GSM:SIGN{instance}:PSW:ACT",
  /* integerDefault     = */RSCMWGS_VAL_CONNECT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SIGNALING_PACKET_SWITCHED_CONNECTION_STATE =
{
  /* constant           = */RSCMWGS_ATTR_SIGNALING_PACKET_SWITCHED_CONNECTION_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Signaling Packet Switched Connection State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngSignPackSwConnStat,
  /* command            = */"FETC:GSM:SIGN{instance}:PSW:STATe?",
  /* integerDefault     = */RSCMWGS_VAL_CONNECTION_STATE_SOFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SIGNALING_SPEECH_CODEC =
{
  /* constant           = */RSCMWGS_ATTR_SIGNALING_SPEECH_CODEC,
#if defined (_DEBUG)
  /* debug name         = */"Signaling Speech Codec",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:ESC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_GENERATOR_STATE =
{
  /* constant           = */RSCMWGS_ATTR_GENERATOR_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Generator State",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR:GSM:SIGN{instance}:CELL:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CLEAN_EVENT_LOG =
{
  /* constant           = */RSCMWGS_ATTR_CLEAN_EVENT_LOG,
#if defined (_DEBUG)
  /* debug name         = */"Clean Event Log",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CLE:GSM:SIGN{instance}:ELOG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_LEVEL =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports RX Level",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:RXL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_QUALITY =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_QUALITY,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports RX Quality",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:RXQ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_LEVEL_SUB =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_LEVEL_SUB,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports RX Level Sub",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngHoppingMAIO,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:RXL:SUB?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_QUALITY_SUB =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_QUALITY_SUB,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports RX Quality Sub",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngRXQualSub,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:RXQ:SUB?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_COUNT =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports Count",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:COUNt?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RECEIVED_BLOCKS =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_RECEIVED_BLOCKS,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports Received Blocks",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:CSW:NRBL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_C_VALUE =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_C_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports C Value",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:CVALue?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_BEP =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_BEP,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports Mean BEP",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:CSW:MBEP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_GMSK_BEP =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_GMSK_BEP,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports Mean GMSK BEP",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:GMBep?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_8PSK_BEP =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_8PSK_BEP,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports Mean 8PSK BEP",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:EMBep?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_QAM_BEP =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_QAM_BEP,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports Mean QAM BEP",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:{QAMMode}:MBEP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_BEP =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_BEP,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports CV BEP",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:CSW:CBEP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_GMSK_BEP =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_GMSK_BEP,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports CV GMSK BEP",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:GCBep?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_8PSK_BEP =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_8PSK_BEP,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports CV 8PSK BEP",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:ECBep?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_QAM_BEP =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_QAM_BEP,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports CV QAM BEP",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:{QAMMode}:CBEP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_SIGNAL_VARIANCE =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORTS_SIGNAL_VARIANCE,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Reports Signal Variance",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:RREP:SVARiance?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_RX_POWER =
{
  /* constant           = */RSCMWGS_ATTR_MOBILE_CAPABILITIES_RX_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Mobile Capabilities RX Power",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngMobileCapabilitiesRXPower,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:RXP?",
  /* integerDefault     = */RSCMWGS_VAL_RX_POWER_IN_RANGE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_IMEI =
{
  /* constant           = */RSCMWGS_ATTR_MOBILE_CAPABILITIES_IMEI,
#if defined (_DEBUG)
  /* debug name         = */"Mobile Capabilities IMEI",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:IMEI?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_IMSI =
{
  /* constant           = */RSCMWGS_ATTR_MOBILE_CAPABILITIES_IMSI,
#if defined (_DEBUG)
  /* debug name         = */"Mobile Capabilities IMSI",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:IMSI?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_DIALED_NUMBER =
{
  /* constant           = */RSCMWGS_ATTR_MOBILE_CAPABILITIES_DIALED_NUMBER,
#if defined (_DEBUG)
  /* debug name         = */"Mobile Capabilities Dialed Number",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:DNUM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_MULTISLOT_CLASS =
{
  /* constant           = */RSCMWGS_ATTR_MOBILE_CAPABILITIES_MULTISLOT_CLASS,
#if defined (_DEBUG)
  /* debug name         = */"Mobile Capabilities Multislot Class",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:MSCL:{MSStandard}?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_IP_ADDRESS =
{
  /* constant           = */RSCMWGS_ATTR_MOBILE_CAPABILITIES_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"Mobile Capabilities IP Address",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:MSAD:IPV{ipv}?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_APN =
{
  /* constant           = */RSCMWGS_ATTR_MOBILE_CAPABILITIES_APN,
#if defined (_DEBUG)
  /* debug name         = */"Mobile Capabilities APN",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:APN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"APN",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_EGPRS2 =
{
  /* constant           = */RSCMWGS_ATTR_MOBILE_CAPABILITIES_EGPRS2,
#if defined (_DEBUG)
  /* debug name         = */"Mobile Capabilities EGPRS2",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:TCAP:ETWO?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_GPRS_AND_EGPRS =
{
  /* constant           = */RSCMWGS_ATTR_MOBILE_CAPABILITIES_GPRS_AND_EGPRS,
#if defined (_DEBUG)
  /* debug name         = */"Mobile Capabilities GPRS And EGPRS",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:TCAP:GEGP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_SSCH =
{
  /* constant           = */RSCMWGS_ATTR_MOBILE_CAPABILITIES_SSCH,
#if defined (_DEBUG)
  /* debug name         = */"Mobile Capabilities SSCH",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:TCAP:SSCH?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_VAMOS_LEVEL =
{
  /* constant           = */RSCMWGS_ATTR_MOBILE_CAPABILITIES_VAMOS_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Mobile Capabilities VAMOS Level",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:VAM:LEV?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_IDENTITY_CELL =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_IDENTITY_CELL,
#if defined (_DEBUG)
  /* debug name         = */"Network Identity Cell",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetwIdCell,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:IDEN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_IDENTITY_MCC =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_IDENTITY_MCC,
#if defined (_DEBUG)
  /* debug name         = */"Network Identity MCC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngIdentityMCC,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:MCC",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_IDENTITY_MNC_DIGITS =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_IDENTITY_MNC_DIGITS,
#if defined (_DEBUG)
  /* debug name         = */"Network Identity MNC Digits",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngIdentityMNCDigits,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:MNC:DIG",
  /* integerDefault     = */RSCMWGS_VAL_MNC_DIGITS_2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_IDENTITY_MNC =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_IDENTITY_MNC,
#if defined (_DEBUG)
  /* debug name         = */"Network Identity MNC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngIdentityMNC,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:MNC",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_IDENTITY_LAC =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_IDENTITY_LAC,
#if defined (_DEBUG)
  /* debug name         = */"Network Identity LAC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngIdentityLAC,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:LAC",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_IDENTITY_RAC =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_IDENTITY_RAC,
#if defined (_DEBUG)
  /* debug name         = */"Network Identity RAC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngIdentityRAC,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RAC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_IDENTITY_NCC =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_IDENTITY_NCC,
#if defined (_DEBUG)
  /* debug name         = */"Network Identity NCC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngIdentityNCC,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:NCC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_IDENTITY_BCC =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_IDENTITY_BCC,
#if defined (_DEBUG)
  /* debug name         = */"Network Identity BCC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngIdentityBCC,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:BCC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_REQUESTED_IMEI =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_REQUESTED_IMEI,
#if defined (_DEBUG)
  /* debug name         = */"Network Requested IMEI",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:IME",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_REQUESTED_AUTHENTICATION =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_REQUESTED_AUTHENTICATION,
#if defined (_DEBUG)
  /* debug name         = */"Network Requested Authentication",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:SEC:AUTH",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_REQUESTED_IMSI =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_REQUESTED_IMSI,
#if defined (_DEBUG)
  /* debug name         = */"Network Requested IMSI",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:IMS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_REQUESTED_CLASSMARK =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_REQUESTED_CLASSMARK,
#if defined (_DEBUG)
  /* debug name         = */"Network Requested Classmark",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:CREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_EC_GSM_IOT_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_EC_GSM_IOT_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell EC GSM IoT Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:ECI",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_LOCATION_UPDATE =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_LOCATION_UPDATE,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Location Update",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkCellLocUpdate,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:LUPD",
  /* integerDefault     = */RSCMWGS_VAL_CELL_UPDATE_ALWAYS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_BS_AG_BLKS_RES =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_BS_AG_BLKS_RES,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell BS AG BLKS RES",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkCellBSAG,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:BSAG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_BS_PA_MFRMS =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_BS_PA_MFRMS,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell BS PA MFRMS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:BSP",
  /* integerDefault     = */2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_MS_DTX =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_MS_DTX,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell MS DTX",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:DTX",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_BAND_INDICATOR =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_BAND_INDICATOR,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Band Indicator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBandIndicator,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:BIND",
  /* integerDefault     = */RSCMWGS_VAL_BAND_G18,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_EARLY_CLASSMARK_SENDING =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_EARLY_CLASSMARK_SENDING,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Early Classmark Sending",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:ECS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_PAGE_MODE =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_PAGE_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Page Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkCellPageMode,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PMOD",
  /* integerDefault     = */RSCMWGS_VAL_PAGE_MODE_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_NCC_PERMITTED =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_NCC_PERMITTED,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell NCC Permitted",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkCellNCCPermitted,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:NCC:PERM",
  /* integerDefault     = */255,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_MAX_RETRANS =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_MAX_RETRANS,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Max Retrans",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkCellMaxRetrans,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:MRET",
  /* integerDefault     = */7,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_PAGING_WITH_MS_IDENTITY =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_PAGING_WITH_MS_IDENTITY,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Paging With MS Identity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkCellPagingWithMSIdentity,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PMID",
  /* integerDefault     = */RSCMWGS_VAL_PMI_IMSI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_INITIAL_POWER_REDUCTION_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_INITIAL_POWER_REDUCTION_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Initial Power Reduction Enabled",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:IPR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_INITIAL_POWER_REDUCTION_VALUE =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_INITIAL_POWER_REDUCTION_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Initial Power Reduction Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkCellInitialPowerReductionValue,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:IPR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_BARING =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_BARING,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Baring",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:CBAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_SIM_CARD_TYPE =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_SIM_CARD_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell SIM Card Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngSIMCardType,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:SEC:SIMC",
  /* integerDefault     = */RSCMWGS_VAL_SIM_C3G,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_CIRCUIT_SWITCHED_EARLY_CLASSMARK_SENDING =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_CIRCUIT_SWITCHED_EARLY_CLASSMARK_SENDING,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Circuit Switched Early Classmark Sending",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:CSW:ECS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_CIRCUIT_SWITCHED_ENHANCED_MEASUREMENT_REPORT =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_CIRCUIT_SWITCHED_ENHANCED_MEASUREMENT_REPORT,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Circuit Switched Enhanced Measurement Report",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:RREP:CSW:EMR:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_PDP_CONTEXT_ACTIVATION =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_PDP_CONTEXT_ACTIVATION,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Packet Switched PDP Context Activation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetwCellPDPContext,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PSW:PDPC",
  /* integerDefault     = */RSCMWGS_VAL_CELL_PDP_CONTEXT_REJ,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_SIGNAL_LEVEL_FILTER_PERIOD =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_SIGNAL_LEVEL_FILTER_PERIOD,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Packet Switched Signal Level Filter Period",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngSignalLevelFilterPeriod,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PSW:TAVG",
  /* integerDefault     = */2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_BEP_PERIOD =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_BEP_PERIOD,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Packet Switched BEP Period",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBEPPeriod,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PSW:BPER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_PC_MEAS_CHANNEL =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_PC_MEAS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Packet Switched PC Meas Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCellPCMeasCh,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PSW:PCMC",
  /* integerDefault     = */RSCMWGS_VAL_CELL_PC_MEAS_CHANNEL_BCCH,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_CONECTIONS_ENABLE =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_CONECTIONS_ENABLE,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Packet Switched Conections Enable",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PSD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_ACCESS =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_ACCESS,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Reselection Quality RXLevMin Access",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngNetworkCellReselectionQualityRXLevMinAccess,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RES:QUAL:RXL:ACC",
  /* integerDefault     = */0,
  /* doubleDefault      = */-111,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_HYSTERESIS =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_HYSTERESIS,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Reselection Hysteresis",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkCellReselectionHysteresis,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RES:HYST",
  /* integerDefault     = */14,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_EUTRAN =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_EUTRAN,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Reselection Quality RXLevMin E-UTRAN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngNetworkCellReselectionQualityRXLevMinEUTRAN,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RES:QUAL:RXL:EUTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */-132,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_UTRAN =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_UTRAN,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Reselection Quality RXLevMin UTRAN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngNetworkCellReselectionQualityRXLevMinUTRAN,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RES:QUAL:RXL:UTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */-115,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_TRESELECTION =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_TRESELECTION,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Reselection Treselection",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkCellReselectionTreselection,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RES:TRES",
  /* integerDefault     = */20,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_IMSI_FILTER =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_IMSI_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell IMSI Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:IMSI:FILT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_SUPPORT =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_SUPPORT,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Support",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkCellSupport,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:NSUP",
  /* integerDefault     = */RSCMWGS_VAL_NETWORK_SUPPORT_EGPRS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_RADIOLINK_TIMEOUT_MS =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_RADIOLINK_TIMEOUT_MS,
#if defined (_DEBUG)
  /* debug name         = */"Network Radiolink Timeout MS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkTimeoutMS,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RTMS",
  /* integerDefault     = */24,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_RADIOLINK_TIMEOUT_BS =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_RADIOLINK_TIMEOUT_BS,
#if defined (_DEBUG)
  /* debug name         = */"Network Radiolink Timeout BS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCellRTBS,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RTBS",
  /* integerDefault     = */24,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_TIMER_T3212 =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_TIMER_T3212,
#if defined (_DEBUG)
  /* debug name         = */"Network Timer T3212",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkT3212,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PLUP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_TIMER_T3312 =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_TIMER_T3312,
#if defined (_DEBUG)
  /* debug name         = */"Network Timer T3312",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkT3312,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PRA",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_ALERTING_TIMEOUT =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_ALERTING_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Network MTC Alerting Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngAlertTimeout,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:ATIM",
  /* integerDefault     = */10,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_MOC_ALERTING_TIMEOUT =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_MOC_ALERTING_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Network MOC Alerting Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkMOCAlertingTimeout,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:ATIM:MOC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_TIMER_T3122 =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_TIMER_T3122,
#if defined (_DEBUG)
  /* debug name         = */"Network Timer T3122",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkRejectTimers,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:CSW:IART",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_TIMER_T3142 =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_TIMER_T3142,
#if defined (_DEBUG)
  /* debug name         = */"Network Timer T3142",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkRejectTimers,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PSW:IART",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_RELEASE_TIMER_T3192 =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_RELEASE_TIMER_T3192,
#if defined (_DEBUG)
  /* debug name         = */"Network Release Timer T3192",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkReleaseTimerT3192,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PSW:TRT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_LOCATION_UPDATE =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_LOCATION_UPDATE,
#if defined (_DEBUG)
  /* debug name         = */"Network Reject Causes Location Update",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkRejectCauses,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RCA:LOC",
  /* integerDefault     = */RSCMWGS_VAL_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_GMM_ATTACH =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_GMM_ATTACH,
#if defined (_DEBUG)
  /* debug name         = */"Network Reject Causes Gmm Attach",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkRejectCauses,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RCA:ATT",
  /* integerDefault     = */RSCMWGS_VAL_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_GMM_ROUTING_AREA =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_GMM_ROUTING_AREA,
#if defined (_DEBUG)
  /* debug name         = */"Network Reject Causes Gmm Routing Area",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkRejectCauses,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RCA:RAUP",
  /* integerDefault     = */RSCMWGS_VAL_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_CM_SERVICE =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_CM_SERVICE,
#if defined (_DEBUG)
  /* debug name         = */"Network Reject Causes CM Service",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkRejectCauses,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RCA:CSR",
  /* integerDefault     = */RSCMWGS_VAL_REJECT_CAUSE_C11,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_CM_TYPE =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_CM_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Network Reject Causes CM Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkRejectCausesCMType,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:RCA:CSTY",
  /* integerDefault     = */RSCMWGS_VAL_REJECT_CAUSES_CM_TYPE_NESM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_TIME_SOURCE =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_TIME_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Network Time Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkTimeSource,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:TIME:TSO",
  /* integerDefault     = */RSCMWGS_VAL_TIME_SOURCE_OS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_TIME_DST_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_TIME_DST_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Network Time DST Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:TIME:DST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_TIME_DST_SHIFT =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_TIME_DST_SHIFT,
#if defined (_DEBUG)
  /* debug name         = */"Network Time DST Shift",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngTimeDSTShift,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:TIME:DST",
  /* integerDefault     = */RSCMWGS_VAL_DST_1H,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_TIME_TRANSFER_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_TIME_TRANSFER_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Network Time Transfer Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:TIME:SATT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_TIME_TRANSFER =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_TIME_TRANSFER,
#if defined (_DEBUG)
  /* debug name         = */"Network Time Transfer",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:TIME:SNOW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_TIME_LOCAL_TIME_ZONE_OFFSET =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_TIME_LOCAL_TIME_ZONE_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Network Time Local Time Zone Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngNetworkTimeLocalTimeZoneOffset,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:TIME:LTZ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_TIME_SEND_NETWORK_NAME =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_TIME_SEND_NETWORK_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Network Time Send Network Name",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:TIME:SNN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_LTE =
{
  /* constant           = */RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_LTE,
#if defined (_DEBUG)
  /* debug name         = */"Neighbor Cell Threshold LTE",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngNeighborCellThreshold,
  /* command            = */"CONF:GSM:SIGN{instance}:NCEL:LTE:THR:HIGH",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_WCDMA =
{
  /* constant           = */RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_WCDMA,
#if defined (_DEBUG)
  /* debug name         = */"Neighbor Cell Threshold WCDMA",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngNeighborCellThreshold,
  /* command            = */"CONF:GSM:SIGN{instance}:NCEL:WCDM:THR:HIGH",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_TDSCDMA =
{
  /* constant           = */RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_TDSCDMA,
#if defined (_DEBUG)
  /* debug name         = */"Neighbor Cell Threshold TD-SCDMA",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngNeighborCellThreshold,
  /* command            = */"CONF:GSM:SIGN{instance}:NCEL:TDSC:THR:HIGH",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_SYNCHRONIZATION_OFFSET =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_SYNCHRONIZATION_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Synchronization Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngNetworkCellSynchronizationOffset,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:SYNC:OFFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_NETWORK_CELL_SYNCHRONIZATION_ZONE =
{
  /* constant           = */RSCMWGS_ATTR_NETWORK_CELL_SYNCHRONIZATION_ZONE,
#if defined (_DEBUG)
  /* debug name         = */"Network Cell Synchronization Zone",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngNetworkCellSynchronizationZone,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:SYNC:ZONE",
  /* integerDefault     = */RSCMWGS_VAL_SYNC_NONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_MS_POWER_CHANGE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_MS_POWER_CHANGE,
#if defined (_DEBUG)
  /* debug name         = */"Connection MS Power Change",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnMSPow,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:MPCH",
  /* integerDefault     = */RSCMWGS_VAL_MS_POWER_CHANGE_FAST,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_FREQUENCY_OFFSET_DOWNLINK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_FREQUENCY_OFFSET_DOWNLINK,
#if defined (_DEBUG)
  /* debug name         = */"Connection Frequency Offset Downlink",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngConnectionFrequencyOffset,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:FOFF:DL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_FREQUENCY_OFFSET_UPLINK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_FREQUENCY_OFFSET_UPLINK,
#if defined (_DEBUG)
  /* debug name         = */"Connection Frequency Offset Uplink",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngConnectionFrequencyOffset,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:FOFF:UL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_RANDOM_FREQUENCY_OFFSET_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_RANDOM_FREQUENCY_OFFSET_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Connection Random Frequency Offset Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:RFOF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_TIMING_ADVANCE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_TIMING_ADVANCE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Timing Advance",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionTimingAdvance,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:TADV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_TIMESLOT =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_TIMESLOT,
#if defined (_DEBUG)
  /* debug name         = */"Connection Timeslot",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionTimeslot,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:TSL",
  /* integerDefault     = */3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_TRAFFIC_MODE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_TRAFFIC_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Traffic Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionTraffic,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:TMOD",
  /* integerDefault     = */RSCMWGS_VAL_TRAFFIC_MODE_FV1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_HALF_RATE_SUBCHANNEL =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_HALF_RATE_SUBCHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"Connection Half Rate Subchannel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionHalfRateSubchannel,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:HRS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_DATA_SOURCE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_DATA_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Data Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionDataSource,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:DSO",
  /* integerDefault     = */RSCMWGS_VAL_DATA_SOURCE_ECHO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_CALL_RELEASE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_CALL_RELEASE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Call Release",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionCallRelease,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:CREL",
  /* integerDefault     = */RSCMWGS_VAL_CALL_RELEASE_IMMEDIATE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_LOOP =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_LOOP,
#if defined (_DEBUG)
  /* debug name         = */"Connection Loop",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionLoop,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:LOOP",
  /* integerDefault     = */RSCMWGS_VAL_LOOP_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_LOOP_RECLOSE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_LOOP_RECLOSE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Loop Reclose",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:LREC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_CALLER_ID =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_CALLER_ID,
#if defined (_DEBUG)
  /* debug name         = */"Connection Caller ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:CID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"12345",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_TCH_ASSIGNMENT =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_TCH_ASSIGNMENT,
#if defined (_DEBUG)
  /* debug name         = */"Connection TCH Assignment",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnTCHAssign,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:TCH",
  /* integerDefault     = */RSCMWGS_VAL_TCH_ASSIGNMENT_VEAR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_ECHO_DELAY =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_ECHO_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Connection Echo Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionEchoDelay,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:EDEL",
  /* integerDefault     = */2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_TRAFFIC_CHANNEL_STATE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_TRAFFIC_CHANNEL_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Traffic Channel State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:{TrafficCh}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_ERROR =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Connection Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionError,
  /* command            = */"SENS:GSM:SIGN{instance}:CELL:CERR?",
  /* integerDefault     = */RSCMWGS_VAL_CONNECTION_ERROR_NO_ERROR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_ATTEMPT =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_ATTEMPT,
#if defined (_DEBUG)
  /* debug name         = */"Connection Attempt",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CLE:GSM:SIGN{instance}:CONN:CSW:CONN:ATT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_REJECT =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_REJECT,
#if defined (_DEBUG)
  /* debug name         = */"Connection Reject",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CLE:GSM:SIGN{instance}:CONN:CSW:CONN:REJ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_ATTEMPT_QUERY =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_ATTEMPT_QUERY,
#if defined (_DEBUG)
  /* debug name         = */"Connection Attempt Query",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENSe:GSM:SIGN{instance}:CONN:CSW:CONN:ATT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_REJECT_QUERY =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_REJECT_QUERY,
#if defined (_DEBUG)
  /* debug name         = */"Connection Reject Query",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENSe:GSM:SIGN{instance}:CONN:CSW:CONN:REJ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_AMR_CODEC_MODE_DOWNLINK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_AMR_CODEC_MODE_DOWNLINK,
#if defined (_DEBUG)
  /* debug name         = */"Connection AMR Codec Mode Downlink",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCodecMode,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:AMR:CMOD:{Band}:{rate}:GMSK:DL",
  /* integerDefault     = */3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_AMR_CODEC_MODE_UPLINK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_AMR_CODEC_MODE_UPLINK,
#if defined (_DEBUG)
  /* debug name         = */"Connection AMR Codec Mode Uplink",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCodecMode,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:AMR:CMOD:{Band}:{rate}:GMSK:UL",
  /* integerDefault     = */3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_MS_CODEC_MODE_DOWNLINK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_MS_CODEC_MODE_DOWNLINK,
#if defined (_DEBUG)
  /* debug name         = */"Connection MS Codec Mode Downlink",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCodecMode,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:AMR:CMOD:{Band}:{rate}:GMSK:DL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_MS_CODEC_MODE_UPLINK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_MS_CODEC_MODE_UPLINK,
#if defined (_DEBUG)
  /* debug name         = */"Connection MS Codec Mode Uplink",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCodecMode,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:AMR:CMOD:{Band}:{rate}:GMSK:UL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_AMR_8PSK_CODEC_MODE_DOWNLINK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_AMR_8PSK_CODEC_MODE_DOWNLINK,
#if defined (_DEBUG)
  /* debug name         = */"Connection AMR 8PSK Codec Mode Downlink",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCodecMode,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:AMR:CMOD:{Band}:{rate}:EPSK:DL",
  /* integerDefault     = */3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_AMR_8PSK_CODEC_MODE_UPLINK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_AMR_8PSK_CODEC_MODE_UPLINK,
#if defined (_DEBUG)
  /* debug name         = */"Connection AMR 8PSK Codec Mode Uplink",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCodecMode,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:AMR:CMOD:{Band}:{rate}:EPSK:UL",
  /* integerDefault     = */3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_MS_8PSK_CODEC_MODE_DOWNLINK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_MS_8PSK_CODEC_MODE_DOWNLINK,
#if defined (_DEBUG)
  /* debug name         = */"Connection MS 8PSK Codec Mode Downlink",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:AMR:CMOD:{Band}:{rate}:EPSK:DL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_MS_8PSK_CODEC_MODE_UPLINK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_MS_8PSK_CODEC_MODE_UPLINK,
#if defined (_DEBUG)
  /* debug name         = */"Connection MS 8PSK Codec Mode Uplink",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:MSS:AMR:CMOD:{Band}:{rate}:EPSK:UL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_AMR_SIGNALING_MODE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_AMR_SIGNALING_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Connection AMR Signaling Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngAMRSignalingMode,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:AMR:SIGN:MODE",
  /* integerDefault     = */RSCMWGS_VAL_AMR_SIGNALING_MODE_LTRR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_VAMOS_ENABLE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_VAMOS_ENABLE,
#if defined (_DEBUG)
  /* debug name         = */"Connection VAMOS Enable",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:VAM:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_VAMOS_MOBILE_SUPPORT_LEVEL =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_VAMOS_MOBILE_SUPPORT_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Connection VAMOS Mobile Support Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngVAMOSMobileLevels,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:CSW:VAM:MSL",
  /* integerDefault     = */RSCMWGS_VAL_SUPPORT_LEVEL_VAMOS_I,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_AUTO_SLOT_CONFIG_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_AUTO_SLOT_CONFIG_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Auto Slot Config Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:ASC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_AUTO_DUAL_TRANSFER_MODE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_AUTO_DUAL_TRANSFER_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Auto Dual Transfer Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:DSC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_SERVICE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_SERVICE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Service",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnPackSWServ,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:SERV",
  /* integerDefault     = */RSCMWGS_VAL_CONN_PSW_SERV_TMA,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_B_ACK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_B_ACK,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Testmode B ACK",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:TBAC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_RF_LEVEL =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_RF_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Testmode RF Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:TRFL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_S_SRB_INFO =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_S_SRB_INFO,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Testmode S SRB Info",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:TSIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BLER_POLLING_BLOCKS =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BLER_POLLING_BLOCKS,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched BLER Polling Blocks",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:BPIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DATA_SOURCE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DATA_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Data Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnPackDataSour,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:DSO",
  /* integerDefault     = */RSCMWGS_VAL_DATA_SOURCE_ECHO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TBF_LEVEL =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TBF_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched TBF Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngTBFLevel,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:TLEV",
  /* integerDefault     = */RSCMWGS_VAL_CONN_PSW_TBF_LEVEL_EGPR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_CODING_SCHEME_UPLINK =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_CODING_SCHEME_UPLINK,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Coding Scheme Uplink",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnPackSwUplinkCodScheme,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:CSCH:UL",
  /* integerDefault     = */RSCMWGS_VAL_CODING_SCHEME_C1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_INCREMENTAL_REDUNDANCY_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_INCREMENTAL_REDUNDANCY_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Incremental Redundancy Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:IRED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_EXTENDED_DYNAMIC_ALLOCATION =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_EXTENDED_DYNAMIC_ALLOCATION,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Extended Dynamic Allocation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngExtDynAlloc,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:EDAL",
  /* integerDefault     = */RSCMWGS_VAL_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_NUMBER_OF_PROTOCOL_DATA_UNITS =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_NUMBER_OF_PROTOCOL_DATA_UNITS,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Number of Protocol Data Units",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:NOPD",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_SLOT_OFFSET =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_SLOT_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Slot Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:SOFF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_CONTROL_ACK_TYPE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_CONTROL_ACK_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Control ACK Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCntrlACKType,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:CATY",
  /* integerDefault     = */RSCMWGS_VAL_CONN_PSW_ACK_TYPE_NBUR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_DUALCARRIER =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_DUALCARRIER,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Downlink Dualcarrier",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:DLDC:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BEP_PERIOD_2 =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BEP_PERIOD_2,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched BEP Period 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionPacketSwitchedBEPPeriod2,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:BPERiod2",
  /* integerDefault     = */15,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BCS_DATA_CORRUPTION_RATE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BCS_DATA_CORRUPTION_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched BCS Data Corruption Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngPercent,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:BDCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_POWER_CONTROL_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_POWER_CONTROL_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Downlink Power Control Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:DPC:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_POWER_CONTROL_P0 =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_POWER_CONTROL_P0,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Downlink Power Control P0",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionPacketSwitchedDownlinkPowerControlP0,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:DPC:P",
  /* integerDefault     = */RSCMWGS_VAL_DPC_P_0DB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_POWER_REDUCTION_MODE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_POWER_REDUCTION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Power Reduction Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionPacketSwitchedPRMode,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:DPC:PMOD",
  /* integerDefault     = */RSCMWGS_VAL_PR_MODE_A,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_POWER_REDUCTION_FIELD =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_POWER_REDUCTION_FIELD,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Power Reduction Field",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectioonPacketSwitchingPowerReductionField,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:DPC:PFI",
  /* integerDefault     = */RSCMWGS_VAL_PR_FIELD_NOT_USABLE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_ALWAYS_SEND_RLC_DATA_BLOCKS =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_ALWAYS_SEND_RLC_DATA_BLOCKS,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Always Send RLC Data Blocks",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:ASRD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BLOCK_ENCODING =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BLOCK_ENCODING,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Block Encoding",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnBlockEncoding,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:BENC",
  /* integerDefault     = */RSCMWGS_VAL_CONN_PSW_BLOCK_ENCODING_BTTI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_USF_MODE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_USF_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched USF Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngUSFMode,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:USFM",
  /* integerDefault     = */RSCMWGS_VAL_CONN_PSW_USF_MODE_BMC0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_STATE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched FANR State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:FANR:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_DOWNLINK_EVENT_BASED =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_DOWNLINK_EVENT_BASED,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched FANR Downlink Event Based",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:FANR:DL:EBAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_DOWNLINK_POLLED =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_DOWNLINK_POLLED,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched FANR Downlink Polled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:FANR:DL:POLL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_UPLINK_MODE =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_UPLINK_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched FANR Uplink Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngFANRUplinkMode,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:FANR:UL:MODE",
  /* integerDefault     = */RSCMWGS_VAL_CONN_PSW_FANR_UPLINK_MODE_SSN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_UPLINK_TIMESHIFT =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_UPLINK_TIMESHIFT,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched FANR Uplink Timeshift",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngFANRUplTimeshift,
  /* command            = */"CONF:GSM:SIGN{instance}:CONN:PSW:FANR:UL:TSH",
  /* integerDefault     = */3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_MAX_DOWNLINK_THROUGHPUT =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_MAX_DOWNLINK_THROUGHPUT,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Max Downlink Throughput",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:CONN:ETHR:DL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_MAX_UPLINK_THROUGHPUT =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_MAX_UPLINK_THROUGHPUT,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Max Uplink Throughput",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:CONN:ETHR:UL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_ERROR =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionError,
  /* command            = */"SENS:GSM:SIGN{instance}:CELL:PSW:CERR?",
  /* integerDefault     = */RSCMWGS_VAL_CONNECTION_ERROR_NO_ERROR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_NW_EXT_UTBF =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_NW_EXT_UTBF,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched NW Ext Utbf",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PSW:NEUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_EXT_UTBF_NODATA =
{
  /* constant           = */RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_EXT_UTBF_NODATA,
#if defined (_DEBUG)
  /* debug name         = */"Connection Packet Switched Ext Utbf Nodata",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CELL:PSW:EUN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_DESTINATION_BAND =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_DESTINATION_BAND,
#if defined (_DEBUG)
  /* debug name         = */"Handover Destination Band",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBand,
  /* command            = */"PREP:GSM:SIGN{instance}:HAND:TARG",
  /* integerDefault     = */RSCMWGS_VAL_BAND_G18,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_DESTINATION_CHANNEL =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_DESTINATION_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"Handover Destination Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBCCHChannel,
  /* command            = */"PREP:GSM:SIGN{instance}:HAND:CHAN:TCH",
  /* integerDefault     = */61,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_DESTINATION_LEVEL =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_DESTINATION_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Handover Destination Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngTCHLevel,
  /* command            = */"PREP:GSM:SIGN{instance}:HAND:LEV:TCH",
  /* integerDefault     = */0,
  /* doubleDefault      = */-80.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_DESTINATION_PCL =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_DESTINATION_PCL,
#if defined (_DEBUG)
  /* debug name         = */"Handover Destination PCL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngPmaxBCCH,
  /* command            = */"PREP:GSM:SIGN{instance}:HAND:PCL",
  /* integerDefault     = */10,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_DESTINATION_TIMESLOT =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_DESTINATION_TIMESLOT,
#if defined (_DEBUG)
  /* debug name         = */"Handover Destination Timeslot",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngConnectionTimeslot,
  /* command            = */"PREP:GSM:SIGN{instance}:HAND:TSL",
  /* integerDefault     = */3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_UPLINK_CODING_SCHEME =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_UPLINK_CODING_SCHEME,
#if defined (_DEBUG)
  /* debug name         = */"Handover Uplink Coding Scheme",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngHandoverCodingScheme,
  /* command            = */"PREP:GSM:SIGN{instance}:HAND:PSW:CSCH:UL",
  /* integerDefault     = */RSCMWGS_VAL_CODING_SCHEME_MC1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_BAND =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_BAND,
#if defined (_DEBUG)
  /* debug name         = */"Handover Band",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBand,
  /* command            = */"SENS:GSM:SIGN{instance}:BAND:TCH?",
  /* integerDefault     = */RSCMWGS_VAL_BAND_G085,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_INITIATE =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_INITIATE,
#if defined (_DEBUG)
  /* debug name         = */"Handover Initiate",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CALL:GSM:SIGN{instance}:HAND:STAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SIGNALING_HANDOVER_STATE =
{
  /* constant           = */RSCMWGS_ATTR_SIGNALING_HANDOVER_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Signaling Handover State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngHandoverState,
  /* command            = */"FETC:GSM:SIGN{instance}:HAND:STAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_DESTINATION =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_DESTINATION,
#if defined (_DEBUG)
  /* debug name         = */"Handover Destination",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"PREP:GSM:SIGN{instance}:HAND:DEST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_EXTERNAL_DESTINATION =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_EXTERNAL_DESTINATION,
#if defined (_DEBUG)
  /* debug name         = */"Handover External Destination",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngHandoverExternalDestination,
  /* command            = */"PREP:GSM:SIGN{instance}:HAND:EXT:DEST",
  /* integerDefault     = */RSCMWGS_VAL_HANDOVER_DESTINATION_EXT_LTE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_DUALBAND_TCH =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_DUALBAND_TCH,
#if defined (_DEBUG)
  /* debug name         = */"Handover Dualband TCH",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBand,
  /* command            = */"CONF:GSM:SIGN{instance}:DUAL:BAND:TCH",
  /* integerDefault     = */RSCMWGS_VAL_BAND_G18,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_HANDOVER_MOBILITY_MODE =
{
  /* constant           = */RSCMWGS_ATTR_HANDOVER_MOBILITY_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Handover Mobility Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngMobilityMode,
  /* command            = */"PREP:GSM:SIGN{instance}:HAND:MMOD",
  /* integerDefault     = */RSCMWGS_VAL_MOBILITY_REDIRECTION,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_TEXT =
{
  /* constant           = */RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_TEXT,
#if defined (_DEBUG)
  /* debug name         = */"SMS Outgoing Message Text",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:SMS:OUTG:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"TestMessage",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_DOMAIN =
{
  /* constant           = */RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_DOMAIN,
#if defined (_DEBUG)
  /* debug name         = */"SMS Outgoing Message Domain",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngSMSOutgoingMessageDomain,
  /* command            = */"CONF:GSM:SIGN{instance}:SMS:OUTG:SDOM",
  /* integerDefault     = */RSCMW_VAL_SMS_DOMAIN_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_DATA_CODING =
{
  /* constant           = */RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_DATA_CODING,
#if defined (_DEBUG)
  /* debug name         = */"SMS Outgoing Message Data Coding",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngSMSOutgoingMessageDataCoding,
  /* command            = */"CONF:GSM:SIGN{instance}:SMS:OUTG:DCOD",
  /* integerDefault     = */RSCMW_VAL_SMS_OUT_DATA_CODING_BIT7,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_CODING_GROUP =
{
  /* constant           = */RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_CODING_GROUP,
#if defined (_DEBUG)
  /* debug name         = */"SMS Outgoing Message Coding Group",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngSMSOutgoingMessageCodingGroup,
  /* command            = */"CONF:GSM:SIGN{instance}:SMS:OUTG:CGR",
  /* integerDefault     = */RSCMW_VAL_SMS_CODING_GROUP_GDC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_CLASS =
{
  /* constant           = */RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_CLASS,
#if defined (_DEBUG)
  /* debug name         = */"SMS Outgoing Message Class",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngSMSOutgoingMessageClass,
  /* command            = */"CONF:GSM:SIGN{instance}:SMS:OUTG:MCL",
  /* integerDefault     = */RSCMW_VAL_SMS_MESSAGE_CLASS_NONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_ORIGINATOR_SMSC_ADDRESS =
{
  /* constant           = */RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_ORIGINATOR_SMSC_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"SMS Outgoing Message Originator SMSC Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:SMS:OUTG:OSAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"54321",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_ORIGINATING_ADDRESS =
{
  /* constant           = */RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_ORIGINATING_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"SMS Outgoing Message Originating Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:SMS:OUTG:OADD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"815654321",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_OUTGOING_SERVICE_TIME_SOURCE =
{
  /* constant           = */RSCMWGS_ATTR_SMS_OUTGOING_SERVICE_TIME_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"SMS Outgoing Service Time Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngSMSOutgoingServiceTimeSource,
  /* command            = */"CONF:GSM:SIGN{instance}:SMS:OUTG:SCTS:TSO",
  /* integerDefault     = */RSCMWGS_VAL_TIME_SOURCE_OS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_OUTGOING_LAST_MESSAGE_SENT =
{
  /* constant           = */RSCMWGS_ATTR_SMS_OUTGOING_LAST_MESSAGE_SENT,
#if defined (_DEBUG)
  /* debug name         = */"SMS Outgoing Last Message Sent",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngSMSOutgoingLastMessageSent,
  /* command            = */"SENS:GSM:SIGN{instance}:SMS:OUTG:INFO:LMS?",
  /* integerDefault     = */RSCMWGS_VAL_SMS_LMS_SUCC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_OUTGOING_USER_DATA_HEADER_STATE =
{
  /* constant           = */RSCMWGS_ATTR_SMS_OUTGOING_USER_DATA_HEADER_STATE,
#if defined (_DEBUG)
  /* debug name         = */"SMS Outgoing User Data Header State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:SMS:OUTG:UDH",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_TEXT =
{
  /* constant           = */RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_TEXT,
#if defined (_DEBUG)
  /* debug name         = */"SMS Incoming Message Text",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:SMS:INC:INFO:MTEX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_READ_FLAG =
{
  /* constant           = */RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_READ_FLAG,
#if defined (_DEBUG)
  /* debug name         = */"SMS Incoming Message Read Flag",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:SMS:INFO:LRM:RFLag?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_LENGTH =
{
  /* constant           = */RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"SMS Incoming Message Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:SMS:INC:INFO:MLENgth?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_RESET =
{
  /* constant           = */RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_RESET,
#if defined (_DEBUG)
  /* debug name         = */"SMS Incoming Message Reset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CLE:GSM:SIGN{instance}:SMS:INC:INFO:MTEX",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SMS_INCOMMING_MESSAGE_DATA_CODING =
{
  /* constant           = */RSCMWGS_ATTR_SMS_INCOMMING_MESSAGE_DATA_CODING,
#if defined (_DEBUG)
  /* debug name         = */"SMS Incoming Message Data Coding",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngSMSIncomingMessageDataCoding,
  /* command            = */"SENS:GSM:SIGN{instance}:SMS:INC:INFO:DCOD?",
  /* integerDefault     = */RSCMW_VAL_SMS_DATA_CODING_BIT7,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CBS_GENERALLY_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_CBS_GENERALLY_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"CBS Generally Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CBS:CBCH:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CBS_MESSAGE_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_CBS_MESSAGE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"CBS Message Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CBS:MESS:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CBS_MESSAGE_ID =
{
  /* constant           = */RSCMWGS_ATTR_CBS_MESSAGE_ID,
#if defined (_DEBUG)
  /* debug name         = */"CBS Message ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCBSMessageID,
  /* command            = */"CONF:GSM:SIGN{instance}:CBS:MESS:ID",
  /* integerDefault     = */4370,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CBS_MESSAGE_ID_TYPE =
{
  /* constant           = */RSCMWGS_ATTR_CBS_MESSAGE_ID_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"CBS Message ID Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCBSMessageIDType,
  /* command            = */"CONF:GSM:SIGN{instance}:CBS:MESS:IDTY",
  /* integerDefault     = */RSCMWGS_VAL_CBS_ID_TYPE_APR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CBS_MESSAGE_DATA_CODE_SCHEME =
{
  /* constant           = */RSCMWGS_ATTR_CBS_MESSAGE_DATA_CODE_SCHEME,
#if defined (_DEBUG)
  /* debug name         = */"CBS Message Data Code Scheme",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCBSDataCodeScheme,
  /* command            = */"CONF:GSM:SIGN{instance}:CBS:MESS:DCSC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CBS_MESSAGE_CATEGORY =
{
  /* constant           = */RSCMWGS_ATTR_CBS_MESSAGE_CATEGORY,
#if defined (_DEBUG)
  /* debug name         = */"CBS Message Category",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCBSMessageCategory,
  /* command            = */"CONF:GSM:SIGN{instance}:CBS:MESS:CAT",
  /* integerDefault     = */RSCMWGS_VAL_CBS_MESSAGE_CATEGORY_NORM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CBS_MESSAGE_DATA =
{
  /* constant           = */RSCMWGS_ATTR_CBS_MESSAGE_DATA,
#if defined (_DEBUG)
  /* debug name         = */"CBS Message Data",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CBS:MESS:DATA",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Coffee is running out!!!",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CBS_MESSAGE_PERIOD =
{
  /* constant           = */RSCMWGS_ATTR_CBS_MESSAGE_PERIOD,
#if defined (_DEBUG)
  /* debug name         = */"CBS Message Period",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCBSMessagePeriod,
  /* command            = */"CONF:GSM:SIGN{instance}:CBS:MESS:PER",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CBS_DRX_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_CBS_DRX_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"CBS DRX Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CBS:DRX:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CBS_DRX_LENGTH_OF_PERIOD =
{
  /* constant           = */RSCMWGS_ATTR_CBS_DRX_LENGTH_OF_PERIOD,
#if defined (_DEBUG)
  /* debug name         = */"CBS DRX Length Of Period",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCBSDRXLengthOfPeriod,
  /* command            = */"CONF:GSM:SIGN{instance}:CBS:DRX:LENG",
  /* integerDefault     = */32,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CBS_DRX_OFFSET =
{
  /* constant           = */RSCMWGS_ATTR_CBS_DRX_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"CBS DRX Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngCBSDRXOffset,
  /* command            = */"CONF:GSM:SIGN{instance}:CBS:DRX:OFFS",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_TRIGGER_FRAME_MODE =
{
  /* constant           = */RSCMWGS_ATTR_TRIGGER_FRAME_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Trigger Frame Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngTrgFramMode,
  /* command            = */"CONF:GSM:SIGN{instance}:TRIG:FTM",
  /* integerDefault     = */RSCMWGS_VAL_TRIGGER_FRAME_MODE_EVERY,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_SLOT =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_SLOT,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Slot",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngMeasSlot,
  /* command            = */"CONF:GSM:SIGN{instance}:MSL:UL",
  /* integerDefault     = */3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STOP_CONDITION =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STOP_CONDITION,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Stop Condition",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBERStopCondition,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:CSW:SCON",
  /* integerDefault     = */RSCMWGS_VAL_STOP_CONDITION_FLIM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STATISTIC_COUNT =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STATISTIC_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Statistic Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBERStatisticCount,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:CSW:SCO",
  /* integerDefault     = */100,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Limit",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngClassIIBits,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:CSW:LIM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.2,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_CLASS_II_BITS =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_CLASS_II_BITS,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Limit Class II Bits",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngClassIIBits,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:CSW:LIM:CIIB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.2,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_CLASS_IB_BITS =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_CLASS_IB_BITS,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Limit Class IB Bits",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngClassIIBits,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:CSW:LIM:CIBB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.4,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Limit FER",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngClassIIBits,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:CSW:LIM:FER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.1,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER_FACCH =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER_FACCH,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Limit FER FACCH",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngFerFACCHLimit,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:CSW:LIM:FFAC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.2,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER_SACCH =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER_SACCH,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Limit FER SACCH",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngFERSACCHLimit,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:CSW:LIM:FSAC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.2,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_INIT =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_INIT,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Init",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT:GSM:SIGN{instance}:BER:CSW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_ABORT =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_ABORT,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Abort",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ABOR:GSM:SIGN{instance}:BER:CSW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STOP =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STOP,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Stop",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STOP:GSM:SIGN{instance}:BER:CSW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_BER =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_BER,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Limit BER",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngBERLimit,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:CSW:LIM:BER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.2,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_MODE =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_MODE,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBERMeasMode,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:CSW:MMOD",
  /* integerDefault     = */RSCMWGS_VAL_MEAS_BBBURST,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_TIMEOUT =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:CSW:TOUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_ROUND_TRIP_DELAY =
{
  /* constant           = */RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_ROUND_TRIP_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"BER Circuit Switched Round Trip Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:GSM:SIGN{instance}:BER:CSW:RTD?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_STOP_CONDITION =
{
  /* constant           = */RSCMWGS_ATTR_BER_PACKET_SWITCHED_STOP_CONDITION,
#if defined (_DEBUG)
  /* debug name         = */"BER Packet Switched Stop Condition",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBERStopCondition,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:PSW:SCON",
  /* integerDefault     = */RSCMWGS_VAL_STOP_CONDITION_FLIM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_STATISTIC_COUNT =
{
  /* constant           = */RSCMWGS_ATTR_BER_PACKET_SWITCHED_STATISTIC_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"BER Packet Switched Statistic Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBERStatisticCount,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:PSW:SCO",
  /* integerDefault     = */100,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_CLASS_II_BITS =
{
  /* constant           = */RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_CLASS_II_BITS,
#if defined (_DEBUG)
  /* debug name         = */"BER Packet Switched Limit Class II Bits",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngClassIIBits,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:PSW:LIM:CIIB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.2,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_DBLER =
{
  /* constant           = */RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_DBLER,
#if defined (_DEBUG)
  /* debug name         = */"BER Packet Switched Limit DBLER",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngClassIIBits,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:PSW:LIM:DBL",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_USF_BLER =
{
  /* constant           = */RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_USF_BLER,
#if defined (_DEBUG)
  /* debug name         = */"BER Packet Switched Limit USF BLER",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngClassIIBits,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:PSW:LIM:USFB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.2,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_INIT =
{
  /* constant           = */RSCMWGS_ATTR_BER_PACKET_SWITCHED_INIT,
#if defined (_DEBUG)
  /* debug name         = */"BER Packet Switched Init",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT:GSM:SIGN{instance}:BER:PSW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_ABORT =
{
  /* constant           = */RSCMWGS_ATTR_BER_PACKET_SWITCHED_ABORT,
#if defined (_DEBUG)
  /* debug name         = */"BER Packet Switched Abort",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ABOR:GSM:SIGN{instance}:BER:PSW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_STOP =
{
  /* constant           = */RSCMWGS_ATTR_BER_PACKET_SWITCHED_STOP,
#if defined (_DEBUG)
  /* debug name         = */"BER Packet Switched Stop",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STOP:GSM:SIGN{instance}:BER:PSW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_TIMEOUT =
{
  /* constant           = */RSCMWGS_ATTR_BER_PACKET_SWITCHED_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"BER Packet Switched Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:PSW:TOUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_MEASUREMENT_MODE =
{
  /* constant           = */RSCMWGS_ATTR_BER_PACKET_SWITCHED_MEASUREMENT_MODE,
#if defined (_DEBUG)
  /* debug name         = */"BER Packet Switched Measurement Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBERPacketSwitchedMeasurementMode,
  /* command            = */"CONF:GSM:SIGN{instance}:BER:PSW:MMOD",
  /* integerDefault     = */RSCMWGS_VAL_MMODE_BERDBLER,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BLER_STATISTIC_COUNT =
{
  /* constant           = */RSCMWGS_ATTR_BLER_STATISTIC_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"BLER Statistic Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngBLERStatCount,
  /* command            = */"CONF:GSM:SIGN{instance}:BLER:SCO",
  /* integerDefault     = */2000,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BLER_INIT =
{
  /* constant           = */RSCMWGS_ATTR_BLER_INIT,
#if defined (_DEBUG)
  /* debug name         = */"BLER Init",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT:GSM:SIGN{instance}:BLER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BLER_ABORT =
{
  /* constant           = */RSCMWGS_ATTR_BLER_ABORT,
#if defined (_DEBUG)
  /* debug name         = */"BLER Abort",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ABOR:GSM:SIGN{instance}:BLER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BLER_STOP =
{
  /* constant           = */RSCMWGS_ATTR_BLER_STOP,
#if defined (_DEBUG)
  /* debug name         = */"BLER Stop",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STOP:GSM:SIGN{instance}:BLER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_BLER_TIMEOUT =
{
  /* constant           = */RSCMWGS_ATTR_BLER_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"BLER Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:BLER:TOUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_RLC_THROUGHPUT_INIT =
{
  /* constant           = */RSCMWGS_ATTR_RLC_THROUGHPUT_INIT,
#if defined (_DEBUG)
  /* debug name         = */"RLC Throughput Init",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT:GSM:SIGN{instance}:THR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_RLC_THROUGHPUT_ABORT =
{
  /* constant           = */RSCMWGS_ATTR_RLC_THROUGHPUT_ABORT,
#if defined (_DEBUG)
  /* debug name         = */"RLC Throughput Abort",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ABOR:GSM:SIGN{instance}:THR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_RLC_THROUGHPUT_STOP =
{
  /* constant           = */RSCMWGS_ATTR_RLC_THROUGHPUT_STOP,
#if defined (_DEBUG)
  /* debug name         = */"RLC Throughput Stop",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STOP:GSM:SIGN{instance}:THR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_RLC_THROUGHPUT_STATE =
{
  /* constant           = */RSCMWGS_ATTR_RLC_THROUGHPUT_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RLC Throughput State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngMeasurementState,
  /* command            = */"FETC:GSM:SIGN{instance}:THR:STAT?",
  /* integerDefault     = */RSCMWGS_VAL_MEAS_STATE_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_RLC_THROUGHPUT_TIMEOUT =
{
  /* constant           = */RSCMWGS_ATTR_RLC_THROUGHPUT_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"RLC Throughput Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:THR:TOUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_RLC_THROUGHPUT_REPETITION =
{
  /* constant           = */RSCMWGS_ATTR_RLC_THROUGHPUT_REPETITION,
#if defined (_DEBUG)
  /* debug name         = */"RLC Throughput Repetition",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngRLCThroughputRepetition,
  /* command            = */"CONF:GSM:SIGN{instance}:THR:REP",
  /* integerDefault     = */RSCMWGS_VAL_RLC_REP_SINGLE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_RLC_THROUGHPUT_WINDOW =
{
  /* constant           = */RSCMWGS_ATTR_RLC_THROUGHPUT_WINDOW,
#if defined (_DEBUG)
  /* debug name         = */"RLC Throughput Window",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngRLCThroughputWindow,
  /* command            = */"CONF:GSM:SIGN{instance}:THR:WIND",
  /* integerDefault     = */0,
  /* doubleDefault      = */120,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CMR_PERFORMANCE_INIT =
{
  /* constant           = */RSCMWGS_ATTR_CMR_PERFORMANCE_INIT,
#if defined (_DEBUG)
  /* debug name         = */"CMR Performance Init",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT:GSM:SIGN{instance}:CPER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CMR_PERFORMANCE_ABORT =
{
  /* constant           = */RSCMWGS_ATTR_CMR_PERFORMANCE_ABORT,
#if defined (_DEBUG)
  /* debug name         = */"CMR Performance Abort",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ABOR:GSM:SIGN{instance}:CPER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CMR_PERFORMANCE_STOP =
{
  /* constant           = */RSCMWGS_ATTR_CMR_PERFORMANCE_STOP,
#if defined (_DEBUG)
  /* debug name         = */"CMR Performance Stop",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STOP:GSM:SIGN{instance}:CPER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CMR_PERFORMANCE_TARGET_LEVEL =
{
  /* constant           = */RSCMWGS_ATTR_CMR_PERFORMANCE_TARGET_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"CMR Performance Target Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwgs_rngCMRPerformanceTargetLevel,
  /* command            = */"CONF:GSM:SIGN{instance}:CPER:TLEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */-105.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_CMR_PERFORMANCE_TIMEOUT =
{
  /* constant           = */RSCMWGS_ATTR_CMR_PERFORMANCE_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"CMR Performance Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:CPER:TOUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORT_ENABLED =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORT_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Report Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:MSR:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORT_WCDMA_QUANTITY =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORT_WCDMA_QUANTITY,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Report WCDMA Quantity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngWCDMAQuantity,
  /* command            = */"CONF:GSM:SIGN{instance}:MSR:WMQ",
  /* integerDefault     = */RSCMWGS_VAL_MEAS_REPORT_WCDMA_RSCP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MEASUREMENT_REPORT_LTE_QUANTITY =
{
  /* constant           = */RSCMWGS_ATTR_MEASUREMENT_REPORT_LTE_QUANTITY,
#if defined (_DEBUG)
  /* debug name         = */"Measurement Report LTE Quantity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngLTEQuantity,
  /* command            = */"CONF:GSM:SIGN{instance}:MSR:LMQ",
  /* integerDefault     = */RSCMWGS_VAL_MEAS_REPORT_LTE_RSRP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MESSAGE_MONITORING_ADD_GSM_SIGNALING_TO_LOGGING =
{
  /* constant           = */RSCMWGS_ATTR_MESSAGE_MONITORING_ADD_GSM_SIGNALING_TO_LOGGING,
#if defined (_DEBUG)
  /* debug name         = */"Message Monitoring Add GSM Signaling To Logging",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:GSM:SIGN{instance}:MMON:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_MESSAGE_MONITORING_LOGGING_PC_IPV4_ADDRESS =
{
  /* constant           = */RSCMWGS_ATTR_MESSAGE_MONITORING_LOGGING_PC_IPV4_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"Message Monitoring Logging PC IPv4 Address",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwgs_rngMessageMonitoringLoggingPCIPv4Address,
  /* command            = */"CONF:GSM:SIGN{instance}:MMON:IPAD",
  /* integerDefault     = */RSCMWGS_VAL_LOGGING_IP1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SYSTEM_VERSION =
{
  /* constant           = */RSCMWGS_ATTR_SYSTEM_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"System Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:VERSion?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SYSTEM_ERROR =
{
  /* constant           = */RSCMWGS_ATTR_SYSTEM_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"System Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERRor?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SYSTEM_ALL_ERRORS =
{
  /* constant           = */RSCMWGS_ATTR_SYSTEM_ALL_ERRORS,
#if defined (_DEBUG)
  /* debug name         = */"System All Errors",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERR:ALL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_ATTR_SYSTEM_PRESET =
{
  /* constant           = */RSCMWGS_ATTR_SYSTEM_PRESET,
#if defined (_DEBUG)
  /* debug name         = */"System Preset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS =
{
  /* constant           = */RSCMWGS_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
#if defined (_DEBUG)
  /* debug name         = */"Process All Previous Commands",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"*WAI",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWGS_ATTR_ID_QUERY_RESPONSE =
{
  /* constant           = */RSCMWGS_ATTR_ID_QUERY_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"ID Query Response",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"*IDN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"""",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

RsCoreAttributePtr rscmwgs_RsCoreAttributeList[] =
{
&g_RSCMWGS_RS_ATTR_RANGE_CHECK,
&g_RSCMWGS_RS_ATTR_QUERY_INSTRUMENT_STATUS,
&g_RSCMWGS_RS_ATTR_CACHE,
&g_RSCMWGS_RS_ATTR_SIMULATE,
&g_RSCMWGS_RS_ATTR_RECORD_COERCIONS,
&g_RSCMWGS_RS_ATTR_INTERCHANGE_CHECK,
&g_RSCMWGS_RS_ATTR_SPY,
&g_RSCMWGS_RS_ATTR_USE_SPECIFIC_SIMULATION,
&g_RSCMWGS_RS_ATTR_CLASS_DRIVER_DESCRIPTION,
&g_RSCMWGS_RS_ATTR_CLASS_DRIVER_PREFIX,
&g_RSCMWGS_RS_ATTR_CLASS_DRIVER_VENDOR,
&g_RSCMWGS_RS_ATTR_CLASS_DRIVER_REVISION,
&g_RSCMWGS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMWGS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
&g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
&g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
&g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
&g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_REVISION,
&g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMWGS_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
&g_RSCMWGS_RS_ATTR_GROUP_CAPABILITIES,
&g_RSCMWGS_RS_ATTR_FUNCTION_CAPABILITIES,
&g_RSCMWGS_RS_ATTR_CHANNEL_COUNT,
&g_RSCMWGS_RS_ATTR_DRIVER_SETUP,
&g_RSCMWGS_RS_ATTR_INSTRUMENT_MANUFACTURER,
&g_RSCMWGS_RS_ATTR_INSTRUMENT_MODEL,
&g_RSCMWGS_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
&g_RSCMWGS_RS_ATTR_OPTIONS_LIST,
&g_RSCMWGS_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
&g_RSCMWGS_RS_ATTR_LOGICAL_NAME,
&g_RSCMWGS_RS_ATTR_PRIMARY_ERROR,
&g_RSCMWGS_RS_ATTR_SECONDARY_ERROR,
&g_RSCMWGS_RS_ATTR_ERROR_ELABORATION,
&g_RSCMWGS_RS_ATTR_VISA_RM_SESSION,
&g_RSCMWGS_RS_ATTR_IO_SESSION,
&g_RSCMWGS_RS_ATTR_IO_SESSION_TYPE,
&g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
&g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
&g_RSCMWGS_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
&g_RSCMWGS_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
&g_RSCMWGS_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
&g_RSCMWGS_RS_ATTR_ENGINE_MAJOR_VERSION,
&g_RSCMWGS_RS_ATTR_ENGINE_MINOR_VERSION,
&g_RSCMWGS_RS_ATTR_ENGINE_REVISION,
&g_RSCMWGS_RS_ATTR_OPC_CALLBACK,
&g_RSCMWGS_RS_ATTR_CHECK_STATUS_CALLBACK,
&g_RSCMWGS_RS_ATTR_OPC_TIMEOUT,
&g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_INPUT,
&g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_OUTPUT,
&g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_BCCH_OUTPUT,
&g_RSCMWGS_ATTR_BCCH_BAND,
&g_RSCMWGS_ATTR_BCCH_CHANNEL,
&g_RSCMWGS_ATTR_BCCH_ENABLE_LOWER_LIMIT_CHECK,
&g_RSCMWGS_ATTR_PMAX_BCCH,
&g_RSCMWGS_ATTR_TCH_CIRCUIT_SWITCHED_PCL,
&g_RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER_MODE,
&g_RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER,
&g_RSCMWGS_ATTR_EXPECTED_NOMINAL_POWER_MARGIN,
&g_RSCMWGS_ATTR_RF_MIXER_LEVEL_OFFSET,
&g_RSCMWGS_ATTR_BCCH_LEVEL,
&g_RSCMWGS_ATTR_FREQUENCY_OFFSET_DL,
&g_RSCMWGS_ATTR_FREQUENCY_OFFSET_UL,
&g_RSCMWGS_ATTR_EXTERNAL_DELAY_COMPENSATION_DL,
&g_RSCMWGS_ATTR_EXTERNAL_DELAY_COMPENSATION_UL,
&g_RSCMWGS_ATTR_TCH_CHANNEL_NUMBER,
&g_RSCMWGS_ATTR_TCH_LEVEL,
&g_RSCMWGS_ATTR_TCH_HOPPING_ENABLE,
&g_RSCMWGS_ATTR_HOPPING_MAIO,
&g_RSCMWGS_ATTR_HOPPING_HSN,
&g_RSCMWGS_ATTR_EXTERNAL_ATTENUATION_PATH_OUTPUT,
&g_RSCMWGS_ATTR_FADING_SIMULATOR_ENABLED,
&g_RSCMWGS_ATTR_FADING_SIMULATOR_STANDARD,
&g_RSCMWGS_ATTR_FADING_SIMULATOR_RESTART_MODE,
&g_RSCMWGS_ATTR_FADING_SIMULATOR_RESTART,
&g_RSCMWGS_ATTR_FADING_SIMULATOR_GLOBAL_SEED,
&g_RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS_MODE,
&g_RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS_USER_VALUE,
&g_RSCMWGS_ATTR_FADING_SIMULATOR_INSERTION_LOSS,
&g_RSCMWGS_ATTR_FADING_SIMULATOR_CLIPPING_COUNTER,
&g_RSCMWGS_ATTR_FADING_SIMULATOR_DOPPLER_FREQUENCY_MODE,
&g_RSCMWGS_ATTR_FADING_SIMULATOR_DOPPLER_FREQUENCY,
&g_RSCMWGS_ATTR_NOISE_BW_POWER,
&g_RSCMWGS_ATTR_NOISE_TOTAL_POWER,
&g_RSCMWGS_ATTR_SIGNAL_PLUS_NOISE_POWER,
&g_RSCMWGS_ATTR_FADING_AWGN_ENABLED,
&g_RSCMWGS_ATTR_FADING_AWGN_BANDWIDTH_RATIO,
&g_RSCMWGS_ATTR_FADING_AWGN_SIGNAL_TO_NOISE_RATIO,
&g_RSCMWGS_ATTR_FADING_AWGN_NOISE_BANDWIDTH,
&g_RSCMWGS_ATTR_SIGNALING_END_TO_END,
&g_RSCMWGS_ATTR_SIGNALING_CONNECTION_ACTION,
&g_RSCMWGS_ATTR_SIGNALING_CONNECTION_STATE,
&g_RSCMWGS_ATTR_SIGNALING_PACKET_SWITCHED_CONNECTION_ACTION,
&g_RSCMWGS_ATTR_SIGNALING_PACKET_SWITCHED_CONNECTION_STATE,
&g_RSCMWGS_ATTR_SIGNALING_SPEECH_CODEC,
&g_RSCMWGS_ATTR_GENERATOR_STATE,
&g_RSCMWGS_ATTR_CLEAN_EVENT_LOG,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_LEVEL,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_QUALITY,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_LEVEL_SUB,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RX_QUALITY_SUB,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_COUNT,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_RECEIVED_BLOCKS,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_C_VALUE,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_BEP,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_GMSK_BEP,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_8PSK_BEP,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_MEAN_QAM_BEP,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_BEP,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_GMSK_BEP,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_8PSK_BEP,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_CV_QAM_BEP,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORTS_SIGNAL_VARIANCE,
&g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_RX_POWER,
&g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_IMEI,
&g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_IMSI,
&g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_DIALED_NUMBER,
&g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_MULTISLOT_CLASS,
&g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_IP_ADDRESS,
&g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_APN,
&g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_EGPRS2,
&g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_GPRS_AND_EGPRS,
&g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_SSCH,
&g_RSCMWGS_ATTR_MOBILE_CAPABILITIES_VAMOS_LEVEL,
&g_RSCMWGS_ATTR_NETWORK_IDENTITY_CELL,
&g_RSCMWGS_ATTR_NETWORK_IDENTITY_MCC,
&g_RSCMWGS_ATTR_NETWORK_IDENTITY_MNC_DIGITS,
&g_RSCMWGS_ATTR_NETWORK_IDENTITY_MNC,
&g_RSCMWGS_ATTR_NETWORK_IDENTITY_LAC,
&g_RSCMWGS_ATTR_NETWORK_IDENTITY_RAC,
&g_RSCMWGS_ATTR_NETWORK_IDENTITY_NCC,
&g_RSCMWGS_ATTR_NETWORK_IDENTITY_BCC,
&g_RSCMWGS_ATTR_NETWORK_REQUESTED_IMEI,
&g_RSCMWGS_ATTR_NETWORK_REQUESTED_AUTHENTICATION,
&g_RSCMWGS_ATTR_NETWORK_REQUESTED_IMSI,
&g_RSCMWGS_ATTR_NETWORK_REQUESTED_CLASSMARK,
&g_RSCMWGS_ATTR_NETWORK_CELL_EC_GSM_IOT_ENABLED,
&g_RSCMWGS_ATTR_NETWORK_CELL_LOCATION_UPDATE,
&g_RSCMWGS_ATTR_NETWORK_CELL_BS_AG_BLKS_RES,
&g_RSCMWGS_ATTR_NETWORK_CELL_BS_PA_MFRMS,
&g_RSCMWGS_ATTR_NETWORK_CELL_MS_DTX,
&g_RSCMWGS_ATTR_NETWORK_CELL_BAND_INDICATOR,
&g_RSCMWGS_ATTR_NETWORK_CELL_EARLY_CLASSMARK_SENDING,
&g_RSCMWGS_ATTR_NETWORK_CELL_PAGE_MODE,
&g_RSCMWGS_ATTR_NETWORK_CELL_NCC_PERMITTED,
&g_RSCMWGS_ATTR_NETWORK_CELL_MAX_RETRANS,
&g_RSCMWGS_ATTR_NETWORK_CELL_PAGING_WITH_MS_IDENTITY,
&g_RSCMWGS_ATTR_NETWORK_CELL_INITIAL_POWER_REDUCTION_ENABLED,
&g_RSCMWGS_ATTR_NETWORK_CELL_INITIAL_POWER_REDUCTION_VALUE,
&g_RSCMWGS_ATTR_NETWORK_CELL_BARING,
&g_RSCMWGS_ATTR_NETWORK_CELL_SIM_CARD_TYPE,
&g_RSCMWGS_ATTR_NETWORK_CELL_CIRCUIT_SWITCHED_EARLY_CLASSMARK_SENDING,
&g_RSCMWGS_ATTR_NETWORK_CELL_CIRCUIT_SWITCHED_ENHANCED_MEASUREMENT_REPORT,
&g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_PDP_CONTEXT_ACTIVATION,
&g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_SIGNAL_LEVEL_FILTER_PERIOD,
&g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_BEP_PERIOD,
&g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_PC_MEAS_CHANNEL,
&g_RSCMWGS_ATTR_NETWORK_CELL_PACKET_SWITCHED_CONECTIONS_ENABLE,
&g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_ACCESS,
&g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_HYSTERESIS,
&g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_EUTRAN,
&g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_QUALITY_RXLEVMIN_UTRAN,
&g_RSCMWGS_ATTR_NETWORK_CELL_RESELECTION_TRESELECTION,
&g_RSCMWGS_ATTR_NETWORK_CELL_IMSI_FILTER,
&g_RSCMWGS_ATTR_NETWORK_CELL_SUPPORT,
&g_RSCMWGS_ATTR_NETWORK_RADIOLINK_TIMEOUT_MS,
&g_RSCMWGS_ATTR_NETWORK_RADIOLINK_TIMEOUT_BS,
&g_RSCMWGS_ATTR_NETWORK_TIMER_T3212,
&g_RSCMWGS_ATTR_NETWORK_TIMER_T3312,
&g_RSCMWGS_ATTR_NETWORK_ALERTING_TIMEOUT,
&g_RSCMWGS_ATTR_NETWORK_MOC_ALERTING_TIMEOUT,
&g_RSCMWGS_ATTR_NETWORK_TIMER_T3122,
&g_RSCMWGS_ATTR_NETWORK_TIMER_T3142,
&g_RSCMWGS_ATTR_NETWORK_RELEASE_TIMER_T3192,
&g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_LOCATION_UPDATE,
&g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_GMM_ATTACH,
&g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_GMM_ROUTING_AREA,
&g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_CM_SERVICE,
&g_RSCMWGS_ATTR_NETWORK_REJECT_CAUSES_CM_TYPE,
&g_RSCMWGS_ATTR_NETWORK_TIME_SOURCE,
&g_RSCMWGS_ATTR_NETWORK_TIME_DST_ENABLED,
&g_RSCMWGS_ATTR_NETWORK_TIME_DST_SHIFT,
&g_RSCMWGS_ATTR_NETWORK_TIME_TRANSFER_ENABLED,
&g_RSCMWGS_ATTR_NETWORK_TIME_TRANSFER,
&g_RSCMWGS_ATTR_NETWORK_TIME_LOCAL_TIME_ZONE_OFFSET,
&g_RSCMWGS_ATTR_NETWORK_TIME_SEND_NETWORK_NAME,
&g_RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_LTE,
&g_RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_WCDMA,
&g_RSCMWGS_ATTR_NEIGHBOR_CELL_THRESHOLD_TDSCDMA,
&g_RSCMWGS_ATTR_NETWORK_CELL_SYNCHRONIZATION_OFFSET,
&g_RSCMWGS_ATTR_NETWORK_CELL_SYNCHRONIZATION_ZONE,
&g_RSCMWGS_ATTR_CONNECTION_MS_POWER_CHANGE,
&g_RSCMWGS_ATTR_CONNECTION_FREQUENCY_OFFSET_DOWNLINK,
&g_RSCMWGS_ATTR_CONNECTION_FREQUENCY_OFFSET_UPLINK,
&g_RSCMWGS_ATTR_CONNECTION_RANDOM_FREQUENCY_OFFSET_ENABLED,
&g_RSCMWGS_ATTR_CONNECTION_TIMING_ADVANCE,
&g_RSCMWGS_ATTR_CONNECTION_TIMESLOT,
&g_RSCMWGS_ATTR_CONNECTION_TRAFFIC_MODE,
&g_RSCMWGS_ATTR_CONNECTION_HALF_RATE_SUBCHANNEL,
&g_RSCMWGS_ATTR_CONNECTION_DATA_SOURCE,
&g_RSCMWGS_ATTR_CONNECTION_CALL_RELEASE,
&g_RSCMWGS_ATTR_CONNECTION_LOOP,
&g_RSCMWGS_ATTR_CONNECTION_LOOP_RECLOSE,
&g_RSCMWGS_ATTR_CONNECTION_CALLER_ID,
&g_RSCMWGS_ATTR_CONNECTION_TCH_ASSIGNMENT,
&g_RSCMWGS_ATTR_CONNECTION_ECHO_DELAY,
&g_RSCMWGS_ATTR_CONNECTION_TRAFFIC_CHANNEL_STATE,
&g_RSCMWGS_ATTR_CONNECTION_ERROR,
&g_RSCMWGS_ATTR_CONNECTION_ATTEMPT,
&g_RSCMWGS_ATTR_CONNECTION_REJECT,
&g_RSCMWGS_ATTR_CONNECTION_ATTEMPT_QUERY,
&g_RSCMWGS_ATTR_CONNECTION_REJECT_QUERY,
&g_RSCMWGS_ATTR_CONNECTION_AMR_CODEC_MODE_DOWNLINK,
&g_RSCMWGS_ATTR_CONNECTION_AMR_CODEC_MODE_UPLINK,
&g_RSCMWGS_ATTR_CONNECTION_MS_CODEC_MODE_DOWNLINK,
&g_RSCMWGS_ATTR_CONNECTION_MS_CODEC_MODE_UPLINK,
&g_RSCMWGS_ATTR_CONNECTION_AMR_8PSK_CODEC_MODE_DOWNLINK,
&g_RSCMWGS_ATTR_CONNECTION_AMR_8PSK_CODEC_MODE_UPLINK,
&g_RSCMWGS_ATTR_CONNECTION_MS_8PSK_CODEC_MODE_DOWNLINK,
&g_RSCMWGS_ATTR_CONNECTION_MS_8PSK_CODEC_MODE_UPLINK,
&g_RSCMWGS_ATTR_CONNECTION_AMR_SIGNALING_MODE,
&g_RSCMWGS_ATTR_CONNECTION_VAMOS_ENABLE,
&g_RSCMWGS_ATTR_CONNECTION_VAMOS_MOBILE_SUPPORT_LEVEL,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_AUTO_SLOT_CONFIG_ENABLED,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_AUTO_DUAL_TRANSFER_MODE,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_SERVICE,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_B_ACK,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_RF_LEVEL,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TESTMODE_S_SRB_INFO,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BLER_POLLING_BLOCKS,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DATA_SOURCE,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_TBF_LEVEL,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_CODING_SCHEME_UPLINK,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_INCREMENTAL_REDUNDANCY_ENABLED,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_EXTENDED_DYNAMIC_ALLOCATION,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_NUMBER_OF_PROTOCOL_DATA_UNITS,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_SLOT_OFFSET,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_CONTROL_ACK_TYPE,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_DUALCARRIER,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BEP_PERIOD_2,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BCS_DATA_CORRUPTION_RATE,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_POWER_CONTROL_ENABLED,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_DOWNLINK_POWER_CONTROL_P0,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_POWER_REDUCTION_MODE,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_POWER_REDUCTION_FIELD,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_ALWAYS_SEND_RLC_DATA_BLOCKS,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_BLOCK_ENCODING,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_USF_MODE,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_STATE,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_DOWNLINK_EVENT_BASED,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_DOWNLINK_POLLED,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_UPLINK_MODE,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_FANR_UPLINK_TIMESHIFT,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_MAX_DOWNLINK_THROUGHPUT,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_MAX_UPLINK_THROUGHPUT,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_ERROR,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_NW_EXT_UTBF,
&g_RSCMWGS_ATTR_CONNECTION_PACKET_SWITCHED_EXT_UTBF_NODATA,
&g_RSCMWGS_ATTR_HANDOVER_DESTINATION_BAND,
&g_RSCMWGS_ATTR_HANDOVER_DESTINATION_CHANNEL,
&g_RSCMWGS_ATTR_HANDOVER_DESTINATION_LEVEL,
&g_RSCMWGS_ATTR_HANDOVER_DESTINATION_PCL,
&g_RSCMWGS_ATTR_HANDOVER_DESTINATION_TIMESLOT,
&g_RSCMWGS_ATTR_HANDOVER_UPLINK_CODING_SCHEME,
&g_RSCMWGS_ATTR_HANDOVER_BAND,
&g_RSCMWGS_ATTR_HANDOVER_INITIATE,
&g_RSCMWGS_ATTR_SIGNALING_HANDOVER_STATE,
&g_RSCMWGS_ATTR_HANDOVER_DESTINATION,
&g_RSCMWGS_ATTR_HANDOVER_EXTERNAL_DESTINATION,
&g_RSCMWGS_ATTR_HANDOVER_DUALBAND_TCH,
&g_RSCMWGS_ATTR_HANDOVER_MOBILITY_MODE,
&g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_TEXT,
&g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_DOMAIN,
&g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_DATA_CODING,
&g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_CODING_GROUP,
&g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_CLASS,
&g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_ORIGINATOR_SMSC_ADDRESS,
&g_RSCMWGS_ATTR_SMS_OUTGOING_MESSAGE_ORIGINATING_ADDRESS,
&g_RSCMWGS_ATTR_SMS_OUTGOING_SERVICE_TIME_SOURCE,
&g_RSCMWGS_ATTR_SMS_OUTGOING_LAST_MESSAGE_SENT,
&g_RSCMWGS_ATTR_SMS_OUTGOING_USER_DATA_HEADER_STATE,
&g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_TEXT,
&g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_READ_FLAG,
&g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_LENGTH,
&g_RSCMWGS_ATTR_SMS_INCOMING_MESSAGE_RESET,
&g_RSCMWGS_ATTR_SMS_INCOMMING_MESSAGE_DATA_CODING,
&g_RSCMWGS_ATTR_CBS_GENERALLY_ENABLED,
&g_RSCMWGS_ATTR_CBS_MESSAGE_ENABLED,
&g_RSCMWGS_ATTR_CBS_MESSAGE_ID,
&g_RSCMWGS_ATTR_CBS_MESSAGE_ID_TYPE,
&g_RSCMWGS_ATTR_CBS_MESSAGE_DATA_CODE_SCHEME,
&g_RSCMWGS_ATTR_CBS_MESSAGE_CATEGORY,
&g_RSCMWGS_ATTR_CBS_MESSAGE_DATA,
&g_RSCMWGS_ATTR_CBS_MESSAGE_PERIOD,
&g_RSCMWGS_ATTR_CBS_DRX_ENABLED,
&g_RSCMWGS_ATTR_CBS_DRX_LENGTH_OF_PERIOD,
&g_RSCMWGS_ATTR_CBS_DRX_OFFSET,
&g_RSCMWGS_ATTR_TRIGGER_FRAME_MODE,
&g_RSCMWGS_ATTR_MEASUREMENT_SLOT,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STOP_CONDITION,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STATISTIC_COUNT,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_CLASS_II_BITS,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_CLASS_IB_BITS,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER_FACCH,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_FER_SACCH,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_INIT,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_ABORT,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_STOP,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_LIMIT_BER,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_MODE,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_TIMEOUT,
&g_RSCMWGS_ATTR_BER_CIRCUIT_SWITCHED_ROUND_TRIP_DELAY,
&g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_STOP_CONDITION,
&g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_STATISTIC_COUNT,
&g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_CLASS_II_BITS,
&g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_DBLER,
&g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_LIMIT_USF_BLER,
&g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_INIT,
&g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_ABORT,
&g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_STOP,
&g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_TIMEOUT,
&g_RSCMWGS_ATTR_BER_PACKET_SWITCHED_MEASUREMENT_MODE,
&g_RSCMWGS_ATTR_BLER_STATISTIC_COUNT,
&g_RSCMWGS_ATTR_BLER_INIT,
&g_RSCMWGS_ATTR_BLER_ABORT,
&g_RSCMWGS_ATTR_BLER_STOP,
&g_RSCMWGS_ATTR_BLER_TIMEOUT,
&g_RSCMWGS_ATTR_RLC_THROUGHPUT_INIT,
&g_RSCMWGS_ATTR_RLC_THROUGHPUT_ABORT,
&g_RSCMWGS_ATTR_RLC_THROUGHPUT_STOP,
&g_RSCMWGS_ATTR_RLC_THROUGHPUT_STATE,
&g_RSCMWGS_ATTR_RLC_THROUGHPUT_TIMEOUT,
&g_RSCMWGS_ATTR_RLC_THROUGHPUT_REPETITION,
&g_RSCMWGS_ATTR_RLC_THROUGHPUT_WINDOW,
&g_RSCMWGS_ATTR_CMR_PERFORMANCE_INIT,
&g_RSCMWGS_ATTR_CMR_PERFORMANCE_ABORT,
&g_RSCMWGS_ATTR_CMR_PERFORMANCE_STOP,
&g_RSCMWGS_ATTR_CMR_PERFORMANCE_TARGET_LEVEL,
&g_RSCMWGS_ATTR_CMR_PERFORMANCE_TIMEOUT,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORT_ENABLED,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORT_WCDMA_QUANTITY,
&g_RSCMWGS_ATTR_MEASUREMENT_REPORT_LTE_QUANTITY,
&g_RSCMWGS_ATTR_MESSAGE_MONITORING_ADD_GSM_SIGNALING_TO_LOGGING,
&g_RSCMWGS_ATTR_MESSAGE_MONITORING_LOGGING_PC_IPV4_ADDRESS,
&g_RSCMWGS_ATTR_SYSTEM_VERSION,
&g_RSCMWGS_ATTR_SYSTEM_ERROR,
&g_RSCMWGS_ATTR_SYSTEM_ALL_ERRORS,
&g_RSCMWGS_ATTR_SYSTEM_PRESET,
&g_RSCMWGS_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
&g_RSCMWGS_ATTR_ID_QUERY_RESPONSE,

NULL
};
